<?php
	session_start();
	if(!isset($_SESSION['u_id']))
	{
		//Mostrar sesion expirada
		header('location: /sesion_expired.php'); 
	}
	
	/* Archivo con las funciones php */
	include_once("scripts/functions.php");

	/* Incluir clase idioma */
	IncludeLang('inc');
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo($_SESSION['u_lang']) ?>">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo(MAIN_Chats) ?></title>
<link href="../css/styles.css" rel="stylesheet" type="text/css" />

<script type="text/javascript" src="js/jquery-1.7.1.min.js"></script> 
<script src="/js/functions.js" type="text/javascript"></script> 
<script>	
    // Cargar los mensajes en el chat.
	function LoadChatMessages()
	{		
	    // Altura del scroll.
	    //var vScrollHeight = $("#chatContent").attr("scrollHeight") - 20; 
		
		var vChatId = <?php echo($_GET['chat_id']) ?>;
		
		jQuery.ajax({
				type: "GET", 
				url: "scripts/chats/chat_get_log.php",
				data: 'chat_id='+vChatId, // Enviar el Id del chat actual.
				success: function(result) {
					jQuery('#chatViewContent').html(result); // Mostrar los mensajes del chat.
				}
			});		
			
		// Bajar el scroll del contenido.
		var scc = document.getElementById("chatViewContent");
		scc.scrollTop = scc.scrollHeight + scc.offsetHeight;
	}
	
	// Cargar lista de usuarios.
	function LoadListUsers(){
		var vChatId = <?php echo($_GET['chat_id']) ?>;
		
		// Cargar los usuarios que participan en el chat.
		jQuery.ajax({
				type: "POST", 
				url: "scripts/chats/chat_get_users.php",
				data: 'chat_id='+vChatId+'&users_online=1', // Enviar el Id del chat actual.
				success: function(result) {
					jQuery('#chatlistusers').html(result); // Mostrar los usuarios del chat.
				}
			});					
	}
		

	
	$(document).ready(function(){
   		// código a ejecutar cuando el DOM está listo para recibir instrucciones.
		
		var vChatId = <?php echo($_GET['chat_id']) ?>;
		
		// Cargar la categoría asignada al chat.
		jQuery.ajax({
				type: "GET", 
				url: "scripts/chats/chat_get_category.php",
				data: 'chat_id='+vChatId, // Enviar el Id del chat actual.
				success: function(result) {
					jQuery('#chatCategory').html(result);
				}
			});	
		
		// Cargar la lista de usuarios invitados y los usuarios del grupo no invitados.
		LoadListUsers();
				
		// Cargar mensajes del chat.
		LoadChatMessages();				
	}); 
</script>
</head>

<body>

<div id="ChatContenedor">

  <!-- Categoría del chat -->
  <div class="chatCategory" id="chatCategory">Categoría del chat</div>
    
    <!-- Muestra si se produce algún error -->
    <div class="chatError" id="chatError">&nbsp;</div>
    
  <!-- Contenido del chat -->
    <div class="chatViewContent" id="chatViewContent"> 
      <textarea id="TextChatContent"></textarea> 
    </div>
    
  <!-- Lista de los usuarios que participan en la conversa -->
    <div class="chatContainerUsers" id="chatContainerUsers">
        <div class="chatUsers"><?php echo(CHAT_Users) ?></div>                
        <div class="chatUsersList">
            <form method="post" id="chatFormUsers">
                <p><select name="chatlistusers" size="5" id="chatlistusers">
                 <?php
                    echo "<option value='0'>----</option>";
                  ?>
                </select></p>
            </form>
        </div>
    </div>
    
<!-- Cerrar div ChatConteneder -->
</div>

</body>
</html>