<?php
	session_start();
	if(!isset($_SESSION['u_id']))
	{
		header('location: /index.php'); 
	}
	
	/* Archivo con las funciones php */
	include_once("scripts/functions.php");

	/* Incluir clase idioma */
	IncludeLang('inc');
	
	/*Incluimos el fichero de la clase de db*/
	require 'inc/class.db.php';	

	/*Creamos objecto de base de datos */
	$db=Db::getInstance();		
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo($_SESSION['u_lang']) ?>">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>AC Technology</title>

<link href="/css/styles.css" rel="stylesheet" type="text/css" />
<link href="/SpryAssets/SpryMenuBarHorizontal.css" rel="stylesheet" type="text/css" />

<script type="text/javascript" src="js/jquery-1.7.1.min.js"></script>
<script src="/SpryAssets/SpryMenuBar.js" type="text/javascript"></script>
<script src="/js/functions.js" type="text/javascript"></script>

  
<script>	
    // Comprobar si hay peticiones de chat, si hay abre la ventanta.
	function CheckRequireChat(){
		// Usuario inicio sesion.
		var vUser = <?php echo($_SESSION['u_id']) ?>;
		
		var ChatId = 0;
		
		// Cargar categorías según grupo.
		jQuery.ajax({
			type: "POST", 
			url: "/scripts/require_chat.php",
			data: 'user_id='+vUser, 
			success: function(a) {
				jQuery('#frame_require').html(a);
				//ChatId = a;
			}
		});
		

		/*if (ChatId > 0){			
			var AbrirChat = confirm('Nuevo chat');
			if(AbrirChat){
				OpenPop('/chat.php?chat_id='+ChatId);
			}
		}*/
		
		setTimeout('CheckRequireChat()', 3000);
	}
	
	// Cargar los usuarios del grupo seleccionado.
	function LoadUsersFromGroup(){
		// Valor id del Grupo.
		var vGroup = document.getElementById("listgroups").value;
		
		// Usuario de la sesión.
		var vUser = <?php echo($_SESSION['u_id']) ?>;		
			 
		// Cargar usuarios según grupo.
		jQuery.ajax({
			type: "POST", 
			url: "scripts/refresh_users.php",
			data: 'group_id='+vGroup+'&user_id='+vUser, // enviamos la id del grupo seleccionado.
			success: function(a) {
				jQuery('#listusers').html(a);// el resultado de la busqueda la mostramos en  #listusers
			}
		});
		
		// Cada 60 segundos recarga la lista por si ha cambiado el estado.
		setTimeout('LoadUsersFromGroup()', 60000);
	}
	
	function SelectUserState(pState){
		// Usuario de la sesión.
		var vUser = <?php echo($_SESSION['u_id']) ?>;		
		//var vState = gotoLink('/scripts/user_return_state.php?user_id='+vUser);
		
		if (pState == -1){
			var vState = <?php echo UserReturnState($db, $_SESSION['u_id'])?>;
		}else{
			var vState = pState;
		}
		
		/*var vState = 0;
		jQuery.ajax({
			type: "GET", 
			url: "scripts/user_return_state.php",
			data: 'user_id='+vUser, 
			success: function(a) {
				vState = a;
			}
		});*/
		
		switch (vState){
			case 0: // Desconectado.
				document.getElementById("selectState").selectedIndex = 3;			
				break;
			case 1: // Conectado.
				document.getElementById("selectState").selectedIndex = 0;			
				break;
			case 2: // No disponible.
				document.getElementById("selectState").selectedIndex = 1;			
				break;
			case 3: // Ausente.
				document.getElementById("selectState").selectedIndex = 2;			
				break;
			default:
				// Por defecto, conectado.
			    document.getElementById("listgroups").tabindex = 0;	
				break;
		}
	}
	
	function RefeshUserComments(){
		// Usuario de la sesión.
		var vUser = <?php echo($_SESSION['u_id']) ?>;		
		
		document.getElementById("textComments").value = "<?php echo UserReturnComments($db, $_SESSION['u_id'])?>";
	}
	
	
	// Cargar una url en el ID del iframe que se pasa por parámetros.
	function iFrame_OpenUrl(pOption, ID_iFrame, ClickInGroups){
		var vNameOption = '&nbsp;';
		var vRefresh = 1;
				
		switch (pOption) {
			case "0":
				vUrl = 'frame_info.php';
				vNameOption = '<?php echo(MAIN_Info) ?>';
				
				if (ClickInGroups == 1){
					vRefresh = 0;	
				}
			break;
			case "1":
				if (<?php echo($_SESSION['u_level']) ?> == 1){
					vUrl = 'frame_contact_admin.php';
				}else{
					vUrl = 'frame_contact.php';
				}
				vNameOption = '<?php echo(MAIN_Contact) ?>';
				
				if (ClickInGroups == 1){
					vRefresh = 0;	
				}
			break;
			case "2":
				// Valor id del Grupo.
				var vGroup = document.getElementById("listgroups").value;
				if (vGroup == ''){
					vGroup = 0;
				}
				// Usuario de la sesión.
				var vUser = <?php echo($_SESSION['u_id']) ?>;
				
				vUrl = 'frame_chats.php?group_id='+vGroup+'&user_id='+vUser;
				vNameOption = '<?php echo(MAIN_Chats) ?>';
				
				if (ClickInGroups == 1){
					vRefresh = 1;	
				}
			break;
			case "3":
				vUrl = 'frame_groups.php';
				vNameOption = '<?php echo(MAIN_Groups) ?>';
				
				if (ClickInGroups == 1){
					vRefresh = 0;	
				}
			break;	
			case "4":
			    // Valor id del Grupo.
				var vGroup = document.getElementById("listgroups").value;
							
				// Si no se selecciona grupo se muestra todos los usuarios, si se selecciona sólo los asignados.
				if (vGroup == 0){
					vUrl = 'frame_users.php';
					vNameOption = '<?php echo(MAIN_Users) ?>';
				}else{
					vUrl = 'frame_groups_users.php?group_id='+vGroup;
					vNameOption = '<?php echo(MAIN_GroupUsers) ?>';
				}
				
				if (ClickInGroups == 1){
					vRefresh = 1;	
				}
			break;					
			case "5":
				vUrl = 'frame_categories.php';
				vNameOption = '<?php echo(MAIN_Categories) ?>';
				
				if (ClickInGroups == 1){
					vRefresh = 0;	
				}
			break;	
			case "6":
				vUrl = 'personal_data.php?id='+<?php echo($_SESSION['u_id']) ?>;
				vNameOption = '<?php echo(MAIN_PersonalData) ?>';
				
				if (ClickInGroups == 1){
					vRefresh = 0;	
				}
			break;
			default:
				vUrl = 'frame_info.php';
				vNameOption = '<?php echo(MAIN_Info) ?>';
				
				if (ClickInGroups == 1){
					vRefresh = 0;	
				}
			break;
		}
		
		
		// Mostrar en el pie de página el frame que se muestra.
		jQuery('#FormFooterFrameActual').html(vNameOption);
		
		if (vRefresh == 1){
			//alert(vUrl);
			document.getElementById(ID_iFrame).name = pOption;
			fun_iFrameWrite(ID_iFrame, vUrl);	
		}
	}
	
	function SaveStateUser(vState, vModSession){
		// Usuario de la sesión.
		var vUser = <?php echo($_SESSION['u_id']) ?>;
		
		// Cargar usuarios según grupo.
		jQuery.ajax({
			type: "POST", 
			url: "scripts/user_change_state.php",
			data: 'user_id='+vUser+'&state_id='+vState+'&mod_sesion='+vModSession, 
			success: function(a) {}
		});
	}
	
	// Refrescar lista de grupos.
	function RefreshGroups(){
		jQuery.ajax({
			type: "POST", 
			url: "scripts/refresh_groups.php",
			success: function(a) {
					jQuery('#listgroups').html(a);
				}
		});
	}
	
			
	$(document).ready(function(){
   		//código a ejecutar cuando el DOM está listo para recibir instrucciones.
		
		// Guardar en base de datos el estado de la sesión.
		var vStateInitial = <?php echo($_SESSION['u_state']) ?>;
		SaveStateUser(vStateInitial, 1);				
		
		// Mostrar estado y comentario del usuario.
		SelectUserState(vStateInitial);
		RefeshUserComments();
		
		RefreshGroups();		
		
		// La pantalla inicial es la de Información.
		iFrame_OpenUrl("0","iFrameContenido",0);		
		
		// Comprobar si hay peticiones de chat.
		CheckRequireChat();
		
		// Evento OnChange del desplegable de Estados.		
		$("#selectState").change(function(){	
			// Estado seleccionado.
			var vState = document.getElementById("selectState").value;
			SaveStateUser(vState, 1);			
		});		
		
		// Guardar el comentario del usuario.
		$('#HeaderComments').submit(function(){			
			// Estado seleccionado.
			var vComments = document.getElementById("textComments").value;
			
			// Usuario de la sesión.
			var vUser = <?php echo($_SESSION['u_id']) ?>;
			
			jQuery.ajax({
				type: "POST", 
				url: "scripts/user_change_comments.php",
				data: 'user_id='+vUser+'&comments='+vComments, 
				success: function(a) {}
			});
		});

		
		// Evento onClick de la lista de grupos.
		$("#listgroups").click(function(){
			// Se ha pulsado la lista de grupos.
			
			// Valor id del Grupo.
			var vGroup = document.getElementById("listgroups").value;
			
			// Usuario de la sesión.
			var vUser = <?php echo($_SESSION['u_id']) ?>;		
			
			// Deshabilitar listas.
			document.getElementById("listgroups").disabled = true;
			document.getElementById("listusers").disabled = true;
			document.getElementById("listcategories").disabled = true;
			 
			// Cargar usuarios según grupo.
			/*jQuery.ajax({
				type: "POST", 
				url: "scripts/refresh_users.php",
				data: 'group_id='+vGroup+'&user_id='+vUser, // enviamos la id del grupo seleccionado.
				success: function(a) {
					jQuery('#listusers').html(a);// el resultado de la busqueda la mostramos en  #listusers
				}
			});*/
			
			LoadUsersFromGroup();
			
			// Cargar categorías según grupo.
			jQuery.ajax({
				type: "POST", 
				url: "scripts/refresh_categories.php",
				data: 'group_id='+vGroup, // enviamos la id del grupo seleccionado.
				success: function(a) {
					jQuery('#listcategories').html(a);// el resultado de la busqueda la mostramos en  #listcategories
				}
			});
			
			// Habilitar listas.
			document.getElementById("listgroups").disabled = false;
			document.getElementById("listusers").disabled = false;
			document.getElementById("listcategories").disabled = false;
			
			// Refrescar el iframe.
			var vFrame = document.getElementById("iFrameContenido");
			iFrame_OpenUrl(vFrame.name, vFrame.id,1);			
   		});
		
		$("#ButtonConversa").click(function(){
			jQuery('#ErrorIniciarConversa').html("&nbsp;");
			
			// Usuario inicio sesion.
			var vUser = <?php echo($_SESSION['u_id']) ?>;
			// Grupo seleccionado.
			var vGroup = document.getElementById("listgroups").value;
			// Categoria seleccionada.
			var vCategory = document.getElementById("listcategories").value;
			
			// Comprobar que haya seleccionado el grupo
			if ((vGroup == '') || (vGroup <= 0)){
				// No ha seleccionado categoría.
				jQuery('#TextError').html("<?php echo(MAIN_ErrSelectGroup) ?>");
				return false;
			}
			
			// Cargar array con los usuarios seleccionados.			
			var opt = document.getElementById("listusers")
			var lista = new Array();
			var index = 0;
			for (var intLoop = 0; intLoop < opt.length; intLoop++){				
				if ((opt[intLoop].selected) && (opt[intLoop].value > 0)){					
					index = lista.length;
					lista[index] = new Object;
					lista[index].value = opt[intLoop].value;
					//lista[index].index = index; //intLoop;
				}
			}
			
			if (lista.length == 0){
				// No ha seleccionado ningún usuario.
				jQuery('#TextError').html("<?php echo(MAIN_ErrSelectUsers) ?>");
				return false;
			}
			
			// Comprobar que haya seleccionada la categoría.
			if ((vCategory == '') || (vCategory <= 0)){
				// No ha seleccionado categoría.
				jQuery('#TextError').html("<?php echo(MAIN_ErrSelectCategory) ?>");
				return false;
			}
			
			// Añadir en el array el usuario de la sesión.
			index = lista.length;
			lista[index] = new Object;
			lista[index].value = vUser;
			
			var vUserList = serialize(lista);					
			
			// Crear chat.
			jQuery.ajax({
				type: "POST", 
				url: "/scripts/create_chat.php",
				data: 'user_id='+vUser+'&group_id='+vGroup+'&category_id='+vCategory+'&users_list='+vUserList, 
				success: function(a) {
					jQuery('#TextError').html(a);
				}
			});
		});
		
		// Evento que captura el cierre del navegador.
		$(window).bind("beforeunload", function() {     
			// Modificar como desconectado en base de datos por si está cerrando el navegador sin cerrar sesión. 
			SaveStateUser(0, 0);
			//alert('Cerrada sesión chat');
		});
	}); 
</script>

</head>

<body>

    <div id="Container">
	<div id="FormHeader">
    	<div class="HeaderLogo">
        	<a href="/index.php"><img src="../images/logo_header.png" onkeypress="OnPressEnter_TextComments(event);" border="0"/></a>
        </div>
        <div class="HeaderInfo">
        	<ul>
            <li>
                <div class="HeaderLabel"><?php echo(MAIN_Login) ?></div>
                <div class="HeaderText"> <?php echo($_SESSION['u_login']) ?> </div>
            </li>
            <li>
                <div class="HeaderLabel"><?php echo(MAIN_State) ?></div>
                <div class="HeaderText">
                          <select name="selectState" id="selectState">
                            <option value='1'><?php echo(MAIN_StateOnline) ?></option>              	        
                            <option value='2'><?php echo(MAIN_StateNoAvailable) ?></option>
                            <option value='3'><?php echo(MAIN_StateOut) ?></option>
                            <option value='0'><?php echo(MAIN_StateOffline) ?></option>
                          </select>
                </div>
             </li>
             <li>
             	<div class="HeaderLabel"><?php echo(MAIN_Comment) ?></div>
                <div class="HeaderText">
                      <!-- <input name="textComments" type="text" id="textComments" value="aaa" size="15" maxlength="140"/> -->
                      <form id="HeaderComments" onsubmit="return false">
                      	<input type="text" id="textComments" maxlength="140"/>
                      </form>
              	</div>                 
             </li>
            </ul>
            
            <div class="HeaderButtonLogout">   
                <form id="HeaderFormLogout" onsubmit="return false">
                    <input class="HeaderButton" name="buttonlogout" id="buttonlogout" type="button" value="<?php echo(MAIN_Logoff) ?>" onclick='gotoLink("/scripts/logoff.php");' />
                </form> 
            </div>
        </div>
    </div>
    
    <div id="FormMenu">
      <ul id="MenuBar1" class="MenuBarHorizontal">
        <li><a href= "#" onClick= iFrame_OpenUrl("0","iFrameContenido",0);><?php echo(MAIN_Info) ?></a></li>
        <li><a href= "#" onClick= iFrame_OpenUrl("1","iFrameContenido",0);><?php echo(MAIN_Contact) ?></a></li>
        
        <?php			    
			// Habilitar opciones del menú según el usuario.
			
			switch ($_SESSION['u_level']){
				case 1: 
					// Administrador.
					echo '<li><a href= "#" onClick= iFrame_OpenUrl("2","iFrameContenido",0);>'.MAIN_Chats.'</a></li>';
					echo '<li><a href= "#" onClick= iFrame_OpenUrl("3","iFrameContenido",0);>'.MAIN_Groups.'</a></li>';
					echo '<li><a href= "#" onClick= iFrame_OpenUrl("4","iFrameContenido",0);>'.MAIN_Users.'</a></li>';					
					echo '<li><a href= "#" onClick= iFrame_OpenUrl("5","iFrameContenido",0);>'.MAIN_Categories.'</a></li>';
					echo '<li><a href= "#" onClick= iFrame_OpenUrl("6","iFrameContenido",0);>'.MAIN_PersonalData.'</a></li>';
					break;
				case 2:
					// Project manager.
					echo '<li><a href= "#" onClick= iFrame_OpenUrl("2","iFrameContenido",0);>'.MAIN_Chats.'</a></li>';
					echo '<li><a href= "#" onClick= iFrame_OpenUrl("3","iFrameContenido",0);>'.MAIN_Groups.'</a></li>';
					echo '<li><a href= "#" onClick= iFrame_OpenUrl("4","iFrameContenido",0);>'.MAIN_Users.'</a></li>';					
					echo '<li><a href= "#" onClick= iFrame_OpenUrl("5","iFrameContenido",0);>'.MAIN_Categories.'</a></li>';
					echo '<li><a href= "#" onClick= iFrame_OpenUrl("6","iFrameContenido",0);>'.MAIN_PersonalData.'</a></li>';
					break;
				default:
					// Usuario.
					echo '<li><a href= "#" onClick= iFrame_OpenUrl("2","iFrameContenido",0);>'.MAIN_Chats.'</a></li>';
					echo '<li><a href= "#" onClick= iFrame_OpenUrl("6","iFrameContenido",0);>'.MAIN_PersonalData.'</a></li>';
					break;
			}
		?>
        
      </ul>
    </div>

<script type="text/javascript">
var MenuBar1 = new Spry.Widget.MenuBar("MenuBar1", {imgDown:"../SpryAssets/SpryMenuBarDownHover.gif", imgRight:"../SpryAssets/SpryMenuBarRightHover.gif"});
    </script>