<?php
	session_start();
	if(!isset($_SESSION['u_id']))
	{
		//Mostrar sesion expirada
		header('location: /sesion_expired.php'); 
	}
	
	/* Archivo con las funciones php */
	include_once("scripts/functions.php");

	/* Incluir clase idioma */
	IncludeLang('inc');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo($_SESSION['u_lang']) ?>">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo(MAIN_Chats) ?></title>
<link href="css/styles.css" rel="stylesheet" type="text/css" />

<script type="text/javascript" src="js/jquery-1.7.1.min.js"></script>
<script src="/SpryAssets/SpryMenuBar.js" type="text/javascript"></script>
<script src="/js/functions.js" type="text/javascript"></script>

<!-- Javascript externo de tabla -->
<link href="tablecloth/tablecloth.css" rel="stylesheet" type="text/css" media="screen" />
<script type="text/javascript" src="tablecloth/tablecloth.js"></script>
  
<script>	
	// Cargar las conversas del usuario - grupo.
	function LoadListChats(){
		// Valor id del Grupo.
		var vGroup = <?php echo($_GET['group_id']) ?>;
		
		// Usuario de la sesión.
		var vUser = <?php echo($_GET['user_id']) ?>;	
			 
		// Cargar usuarios según grupo.
		jQuery.ajax({
			type: "POST", 
			url: "scripts/chats/refresh_chatlist.php",
			data: 'group_id='+vGroup+'&user_id='+vUser, // enviamos la id del grupo seleccionado.
			success: function(a) {
				jQuery('#TableConversa').html(a);// el resultado de la busqueda la mostramos en  #listusers
			}
		});
	}
	
	// Quita la selección de todos los checkbox de la tabla y selecciona el actual.
	function SelectCheckbox(pId){
		vChecked = document.getElementById(pId).checked;		
		
		if (vChecked) {
			$("#TableConversa tbody tr").each(function (index) {
				$(this).children("td").each(function (index2) {					
					if (index2 == 0){
						vCheck = document.getElementById('checkbox'+index);
						if (vCheck.type == 'checkbox'){					
							vCheck.checked = false;
						}
					}
				});
			});
			
			document.getElementById(pId).checked = true;
		}
	}
	
	$(document).ready(function(){
   		//código a ejecutar cuando el DOM está listo para recibir instrucciones.
		
		LoadListChats();
		
		// Abrir chats generados.
		$("#chat_list_bottom_buttonView").click(function() {			
			$("#TableConversa tbody tr").each(function (index) {
				$(this).children("td").each(function (index2) {					
					if (index2 == 0){		
						var checkeado=$('#checkbox'+index).attr("checked");
						if(checkeado) {
							var vIdChat = $('#checkbox'+index).attr("value");
							//alert(vIdChat);
							OpenPop('chat_view.php?chat_id='+vIdChat);
							//alert('stop');
						}
					}                        
				}) 
			})
		});
		
		// Abrir logs generados.
		$("#chat_list_bottom_buttonLog").click(function() {			
			$("#TableConversa tbody tr").each(function (index) {
				$(this).children("td").each(function (index2) {					
					if (index2 == 0){		
						var checkeado=$('#checkbox'+index).attr("checked");
						if(checkeado) {
							var vIdChat = $('#checkbox'+index).attr("value");
							OpenWindow('chat_log.php?chat_id='+vIdChat);
							
							//OpenWindow('scripts/download.php?chat_id='+vIdChat);
							
						
						}
					}                        
				}) 
			})
		})
	});	
</script>

</head>

<body>
	<div id="iFrame_Container">
    	<div id="chat_list">
        	<div class="chat_list_converses">
                <table id="TableConversa" border="1px solid #000">
                    <tr id="TableConversa0" style="font-weight:bold">
                    	<td width="20px">&nbsp;</td>
                        <td width="200px"><?php echo(CHATLIST_DateTime) ?></td>
                        <td width="200px"><?php echo(CHATLIST_Category) ?></td>
                        <td width="200px"><?php echo(CHATLIST_Users) ?></td>
                    </tr>
                </table>
            </div>
            <div class="chat_list_bottom">
            	<form id="chat_list_bottom_form" onsubmit="return false">
                	<input class="chat_list_bottom_buttonRefresh" name="chat_list_bottom_buttonRefresh" id="chat_list_bottom_buttonRefresh" type="button" value="<?php echo(GEN_Refresh) ?>" onclick="LoadListChats();"/>
                    <input class="chat_list_bottom_buttonView" name="chat_list_bottom_buttonView" id="chat_list_bottom_buttonView" type="button" value="<?php echo(CHATLIST_ViewChat) ?>"/>
                    <input class="chat_list_bottom_buttonLog" name="chat_list_bottom_buttonLog" id="chat_list_bottom_buttonLog" type="button" value="<?php echo(CHATLIST_Log) ?>"/>
                </form> 
			</div>
            <div id="TextError">&nbsp;</div>
        </div>
	</div>
</body>

</html>