<?php
	session_start();
	if(!isset($_SESSION['u_id']))
	{
		//Mostrar sesion expirada
		header('location: /sesion_expired.php'); 
	}
	
	/* Archivo con las funciones php */
	include_once("scripts/functions.php");

	/* Incluir clase idioma */
	IncludeLang('inc');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo($_SESSION['u_lang']) ?>">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo(MAIN_Contact) ?></title>
<link href="css/styles.css" rel="stylesheet" type="text/css" />

<script type="text/javascript" src="js/jquery-1.7.1.min.js"></script>
<script type="text/javascript" src="SpryAssets/SpryMenuBar.js"></script>
<script type="text/javascript" src="js/functions.js"></script>

<!-- Javascript externo de tabla -->
<link href="tablecloth/tablecloth.css" rel="stylesheet" type="text/css" media="screen" />
<script type="text/javascript" src="tablecloth/tablecloth.js"></script>
  
<script>	
	// Cargar listado grupos.
	function LoadListContact(){
			 
		jQuery.ajax({
			type: "POST", 
			url: "scripts/contact/refresh_contactlist.php",
			success: function(a) {
				jQuery('#TableContact').html(a);
			}
		});
	}
	
	// Quita la selección de todos los checkbox de la tabla y selecciona el actual.
	function SelectCheckbox(pId){
		vChecked = document.getElementById(pId).checked;		
		
		if (vChecked) {
			$("#TableContact tbody tr").each(function (index) {
				$(this).children("td").each(function (index2) {					
					if (index2 == 0){
						vCheck = document.getElementById('checkbox'+index);
						if (vCheck.type == 'checkbox'){					
							vCheck.checked = false;
						}
					}
				});
			});
			
			document.getElementById(pId).checked = true;
		}
	}
	
	$(document).ready(function(){
   		//código a ejecutar cuando el DOM está listo para recibir instrucciones.
		
		LoadListContact();
	});	
</script>

</head>

<body>
	<div id="iFrame_Container">
    	<div id="contact_list">
        	<div class="contact_list_client">
                <table id="TableContact" border="1px solid #000">
                    <tr id="TableContact0" style="font-weight:bold">
                    	<td width="100px"><?php echo(CONTACT_FH) ?></td>
                        <td width="100px"><?php echo(CONTACT_Login) ?></td>
						<td width="100px"><?php echo(CONTACT_Subject) ?></td>
                        <td width="300px"><?php echo(CONTACT_Message) ?></td>
                    </tr>
                </table>
            </div>
            <div class="contact_list_bottom">
            	<form id="contact_list_bottom_form" onsubmit="return false">
                  <p>
                	<input class="contact_list_bottom_buttonRefresh" name="contact_list_bottom_buttonRefresh" id="contact_list_bottom_buttonRefresh" type="button" value="<?php echo(GEN_Refresh) ?>" onclick="LoadListContact();"/>                    
                 </p>
                </form>                
                <p><div id="TextError"></div></p> 
			</div>            
        </div>
	</div>
</body>

</html>