<?php
	session_start();
	if(!isset($_SESSION['u_id']))
	{
		//Mostrar sesion expirada
		header('location: /sesion_expired.php'); 
	}
	
	/* Archivo con las funciones php */
	include_once("scripts/functions.php");

	/* Incluir clase idioma */
	IncludeLang('inc');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo($_SESSION['u_lang']) ?>">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo(MAIN_Groups) ?></title>
<link href="css/styles.css" rel="stylesheet" type="text/css" />

<script type="text/javascript" src="js/jquery-1.7.1.min.js"></script>
<script type="text/javascript" src="SpryAssets/SpryMenuBar.js"></script>
<script type="text/javascript" src="js/functions.js"></script>

<!-- Javascript externo de tabla -->
<link href="tablecloth/tablecloth.css" rel="stylesheet" type="text/css" media="screen" />
<script type="text/javascript" src="tablecloth/tablecloth.js"></script>
  
<script>	
	// Cargar listado grupos.
	function LoadListGroups(){
			 
		jQuery.ajax({
			type: "POST", 
			url: "scripts/groups/refresh_grouplist.php",
			success: function(a) {
				jQuery('#TableGroups').html(a);
			}
		});
	}
	
	// Quita la selección de todos los checkbox de la tabla y selecciona el actual.
	function SelectCheckbox(pId){
		vChecked = document.getElementById(pId).checked;		
		
		if (vChecked) {
			$("#TableGroups tbody tr").each(function (index) {
				$(this).children("td").each(function (index2) {					
					if (index2 == 0){
						vCheck = document.getElementById('checkbox'+index);
						if (vCheck.type == 'checkbox'){					
							vCheck.checked = false;
						}
					}
				});
			});
			
			document.getElementById(pId).checked = true;
		}
	}
	
	$(document).ready(function(){
   		//código a ejecutar cuando el DOM está listo para recibir instrucciones.
		
		LoadListGroups();
		
		// Modificar un grupo
		$("#group_list_bottom_buttonModify").click(function() {			
			$("#TableGroups tbody tr").each(function (index) {
				$(this).children("td").each(function (index2) {					
					if (index2 == 0){		
						var checkeado=$('#checkbox'+index).attr("checked");
						if(checkeado) {
							var vIdGroup = $('#checkbox'+index).attr("value");
							jQuery.ajax({
								type: "POST", 
								url: "scripts/groups/group_modify.php?id="+vIdGroup,
								success: function(a) {
									jQuery('#group_list').html(a);
								}
							});
						}
					}                        
				}) 
			})
		});
		
		$("#group_list_bottom_buttonCreate").click(function() {
			jQuery.ajax({
				type: "POST", 
				url: "scripts/groups/group_add.php",
				success: function(a) {
					jQuery('#group_list').html(a);
				}
			});
		});
		
		
		// Borrar.
		$("#group_list_bottom_buttonDelete").click(function() {			
			$("#TableGroups tbody tr").each(function (index) {
				$(this).children("td").each(function (index2) {					
					if (index2 == 0){		
						var checkeado=$('#checkbox'+index).attr("checked");
						if(checkeado) {
							var vIdGroup = $('#checkbox'+index).attr("value");
							var Delete = confirm('<?php echo(GROUP_MsgDelete) ?>');
							if(Delete){
								jQuery.ajax({
								type: "POST", 
								url: "scripts/groups/group_delete.php?id="+vIdGroup,
								success: function(a) {
									jQuery('#TextError').html(a);
									top.location.reload();
									},
								error: function(a) {
									jQuery('#TextError').html(a);
									}
								});
								
								LoadListGroups();
							}
							
						}
					}                        
				}) 
			})
		})
	});	
</script>

</head>

<body>
	<div id="iFrame_Container">
    	<div id="group_list">
        	<div class="group_list_client">
                <table id="TableGroups" border="1px solid #000">
                    <tr id="TableGroups0" style="font-weight:bold">
                    	<td width="20px">&nbsp;</td>
                        <td width="325px"><?php echo(GROUP_Description) ?></td>
						<td width="150px"><?php echo(GROUP_Manager) ?></td>
                    </tr>
                </table>
            </div>
            <div class="group_list_bottom">
            	<form id="group_list_bottom_form" onsubmit="return false">
                  <p>
                	<input class="group_list_bottom_buttonRefresh" name="group_list_bottom_buttonRefresh" id="group_list_bottom_buttonRefresh" type="button" value="<?php echo(GEN_Refresh) ?>" onclick="LoadListGroups();"/>
                    <input class="group_list_bottom_buttonView" name="group_list_bottom_buttonCreate" id="group_list_bottom_buttonCreate" type="button" value="<?php echo(GEN_Create) ?>"/>
					<input class="group_list_bottom_buttonView" name="group_list_bottom_buttonModify" id="group_list_bottom_buttonModify" type="button" value="<?php echo(GEN_Modify) ?>"/>
                    <input class="group_list_bottom_buttonLog" name="group_list_bottom_buttonDelete" id="group_list_bottom_buttonDelete" type="button" value="<?php echo(GEN_Delete) ?>"/>
                 </p>
                </form>                
                <p><div id="TextError"></div></p> 
			</div>            
        </div>
	</div>
</body>

</html>