<?php 
// CATALÁN.
// General.
define("GEN_Create","Crear");
define("GEN_Modify","Modificar");
define("GEN_Delete","Eliminar");
define("GEN_Save","Guardar");
define("GEN_Return","Tornar");
define("GEN_Refresh", "Refrescar");
define("GEN_Filter", "Filtrar");
define("GEN_Search", "Cercar");
define("GEN_CAT","Català");
define("GEN_ESP","Espanyol");
define("GEN_ENG","Anglès");
define("GEN_Logo","Logotip AC");
define("GEN_All","Tots");
define("GEN_UserNotFound", "Usuari no trobat, recordi que l'usuari ha de ser de nivell 3");

// Pantalla Login.
define("LOGIN_Title","AC Technology: Validació");
define("LOGIN_User","Usuari:");
define("LOGIN_Password","Contrasenya:");
define("LOGIN_Submit","Accedir");
define("LOGIN_Contact","Contactar"); 
define("LOGIN_RememberPassword","Recordar Contrasenya"); 
define("LOGIN_ErrUserPass","El usuari o contrasenya són incorrectes");
define("LOGIN_ErrActive","Error activant la sessió del usuari");
define("LOGIN_ErrLogin","Ha d'introduir el login");
define("LOGIN_ErrLoginNotExists","El login introduit no existeix");
define("LOGIN_ErrMailNotExists","El usuari no té cap direcció de correu associada, contacti amb l'administrador si us plau");
define("LOGIN_ErrSendPassword","S'ha produit un error, intenti-ho un altre cop si us plau");
define("LOGIN_SendPassword","Contrasenya enviada al correo associat");

// Pantalla Principal.
define("MAIN_Login", "Usuari:");
define("MAIN_State", "Estat:");
define("MAIN_Comment", "Comentari:");
define("MAIN_Logoff", "Tancar Sessió");
define("MAIN_StateOnline", "Connectat");
define("MAIN_StateNoAvailable", "No Disponible");
define("MAIN_StateOut", "Absent");
define("MAIN_StateOffline", "Desconnectat");
define("MAIN_Info", "Informació");
define("MAIN_Contact", "Contactar");
define("MAIN_Chats", "Converses");
define("MAIN_Groups", "Grups");
define("MAIN_Users", "Usuaris");
define("MAIN_GroupUsers", "Usuaris del grup");
define("MAIN_Categories", "Categories");
define("MAIN_PersonalData", "Personal");
define("MAIN_ErrSelectGroup", "Ha de seleccionar el grup");
define("MAIN_ErrSelectCategory", "Ha de seleccionar la categoria");
define("MAIN_ErrSelectUsers", "Ha de seleccionar els usuaris");
define("MAIN_PanelGroups", "Grups");
define("MAIN_PanelUsers", "Usuaris");
define("MAIN_StartChat", "Iniciar Conversa");
define("MAIN_Admin", "Administrador");
define("MAIN_Manager", "Responsable de grup");
define("MAIN_User", "Usuari");
define("MAIN_LegalNotice", "Avís Legal");

// Pantalla Chat.
define("CHAT_Users", "Usuaris");
define("CHAT_UsersUninvited", "Usuaris No Convidats");
define("CHAT_SendMessage", "Enviar Missatge");
define("CHAT_Say", "diu");
define("CHAT_InviteAgain", "Tornar a Convidar");
define("CHAT_Invite", "Convidar");

// Pantalla lista de chats.
define("CHATLIST_DateTime", "Data-Hora");
define("CHATLIST_Category", "Categoria");
define("CHATLIST_Users", "Usuaris");
define("CHATLIST_ViewChat", "Veure Conversa");
define("CHATLIST_Log", "Log");

// Pantalla Grupos.
define("GROUP_Description", "Descripció");
define("GROUP_Manager", "Responsable");
define("GROUP_ErrEmptyDescription", "Ha d'introduir una descripció");
define("GROUP_ErrEmptyManager", "Ha de seleccionar un responsable");
define("GROUP_ErrExistsDescription", "La descripció introduida ja existeix");
define("GROUP_ErrSavingGroup", "Error gravant grup, contacti amb l'administrador si us plau");
define("GROUP_ErrSavingManager", "Error gravant el responsable, contacti amb l'administrador si us plau");
define("GROUP_MsgDelete","Eliminar grup? Si hi ha converses asociades seran eliminades");

// Pantalla Usuarios.
define("USER_Login", "Login");
define("USER_Password", "Contrasenya");
define("USER_Name", "Nom");
define("USER_Surname", "Cognoms");
define("USER_Mail", "E-Mail");
define("USER_Phone", "Telèfon");
define("USER_Level", "Nivell");
define("USER_ErrEmptyLogin", "Ha d'introduir el login");
define("USER_ErrEmptyPassword", "Ha d'introduir la contrasenya");
define("USER_ErrEmptyName", "Ha d'introduir el nom");
define("USER_ErrEmptySurname", "Ha d'introduir el cognom");
define("USER_ErrEmptyMail", "Ha d'introduir el e-mail");
define("USER_ErrEmptyLevel", "Ha de seleccionar un nivell");
define("USER_ErrExistsLogin", "El login introduit ja existeix");
define("USER_ErrSavingUser", "Error gravant usuari, contacti amb l'administrador si us plau");
define("USER_ErrUserHasChats", "No es pot eliminar l'usuari, ha participat en converses");
define("USER_MsgDelete","Eliminar usuari?");
define("USER_FilterLogin","Filtrar per login:");

// Pantalla Categorías.
define("CATEGORY_Description", "Descripció");
define("CATEGORY_Group", "Grup");
define("CATEGORY_ErrEmptyDescription", "Ha d'introduir una descripció");
define("CATEGORY_ErrEmptyGroup", "Ha de seleccionar un grup");
define("CATEGORY_ErrExistsDescription", "La descripció introduida ja existeix en el grup");
define("CATEGORY_ErrSavingCategory", "Error gravant categoria, contacti amb l'administrador si us plau");
define("CATEGORY_ErrHasChats", "No es pot eliminar la categoria, ha estat assignada a converses");
define("CATEGORY_MsgDelete","Eliminar categoria?");

// Pantalla Usuarios Grupo.
define("GROUPUSER_Assign", "Assignar");
define("GROUPUSER_DeleteAssign", "Eliminar assignació");
define("GROUPUSER_SearchLogin", "Buscar per login:");
define("GROUPUSER_ErrEmptyLogin", "Introdueixi el login del usuari");
define("GROUPUSER_MsgDelete","Eliminar assignació al grup?");
define("GROUPUSER_ErrDeletingAssign", "Error eliminant assignació, contacti amb l'administrador si us plau");
define("GROUPUSER_ErrAssignCreated", "Assignació ja creada");
define("GROUPUSER_ErrSavingAssign", "Error creant assignació, contacti amb l'administrador si us plau");

// Pantalla Info.
define("INFO_Welcome","Benvingut a la aplicació web AC Technology.");
define("INFO_IsTFC","Aquesta aplicació es un projecte TFC amb finalitats escolars.");
define("INFO_Msgs","Passos a seguir per iniciar una conversa:");
define("INFO_Msg1","Selecciona el grup de la llista.");
define("INFO_Msg2","Selecciona els usuaris amb els que vols iniciar la conversa.");
define("INFO_Msg3","Selecciona la categoria que s'ajusta al tema que es tractarà a la conversa.");
define("INFO_Msg4","Presiona el botó 'Iniciar Conversa'.");
define("INFO_Thanks","Gràcies per la teva visita!");
define("INFO_Warning","ATENCIÓ. Per un correcte funcionament, la web necessita que les finestres emergents estiguin habilitades.");
define("INFO_Sorry","Disculpi les molèsties.");

// Pantalla de contacto.
define("CONTACT_Login","Login");
define("CONTACT_Subject","Assumpte");
define("CONTACT_Message","Missatge");
define("CONTACT_Send","Enviar");
define("CONTACT_FH","Data-Hora");
define("CONTACT_SendOK","Missatge enviat correctament");
define("CONTACT_SendError","Error enviant missatge");
define("CONTACT_ErrLoginEmpty","Ha d'introduir el login");
define("CONTACT_ErrSubjectEmpty","Ha d'introduir un assumpte");
define("CONTACT_ErrCommentsEmpty","Ha d'introduir el missatge");
?>