<?php 
// ESPAÑOL.
// General.
define("GEN_Create","Crear");
define("GEN_Modify","Modificar");
define("GEN_Delete","Eliminar");
define("GEN_Save","Guardar");
define("GEN_Return","Volver");
define("GEN_Refresh", "Refrescar");
define("GEN_Filter", "Filtrar");
define("GEN_Search", "Buscar");
define("GEN_CAT","Catalán");
define("GEN_ESP","Español");
define("GEN_ENG","Inglés");
define("GEN_Logo","Logotipo AC");
define("GEN_All","Todos");
define("GEN_UserNotFound", "Usuario no encontrado, recuerde que el usuario debe ser de nivel 3");

// Pantalla Login.
define("LOGIN_Title","AC Technology: Validación");
define("LOGIN_User","Usuario:");
define("LOGIN_Password","Contraseña:");
define("LOGIN_Submit","Entrar");
define("LOGIN_Contact","Contactar");
define("LOGIN_RememberPassword","Recordar Contraseña");
define("LOGIN_ErrUserPass","El usuario o contraseña son incorrectos");
define("LOGIN_ErrActive","Error activando la sesión del usuario");
define("GROUP_MsgDelete","¿Eliminar grupo? Si hay conversas asociadas seran eliminadas");
define("LOGIN_ErrLogin","Debe introducir el login");
define("LOGIN_ErrLoginNotExists","El login introducido no existe");
define("LOGIN_ErrMailNotExists","El usuario no tiene dirección de correo asociada, contacte con el Administrador por favor");
define("LOGIN_ErrSendPassword","Se ha producido un error, inténtelo de nuevo por favor");
define("LOGIN_SendPassword","Contraseña enviada al correo asociado");

// Pantalla Principal.
define("MAIN_Login", "Usuario:");
define("MAIN_State", "Estado:");
define("MAIN_Comment", "Comentario:");
define("MAIN_Logoff", "Cerrar Sessión");
define("MAIN_StateOnline", "Conectado");
define("MAIN_StateNoAvailable", "No Disponible");
define("MAIN_StateOut", "Ausente");
define("MAIN_StateOffline", "Desconectado");
define("MAIN_Info", "Información");
define("MAIN_Contact", "Contactar");
define("MAIN_Chats", "Conversas");
define("MAIN_Groups", "Grupos");
define("MAIN_Users", "Usuarios");
define("MAIN_GroupUsers", "Usuarios del grupo");
define("MAIN_Categories", "Categorías");
define("MAIN_PersonalData", "Personal");
define("MAIN_ErrSelectGroup", "Debe seleccionar el grupo");
define("MAIN_ErrSelectCategory", "Debe seleccionar la categoría");
define("MAIN_ErrSelectUsers", "Debe seleccionar los usuarios");
define("MAIN_PanelGroups", "Grupos");
define("MAIN_PanelUsers", "Usuarios");
define("MAIN_StartChat", "Iniciar Conversa");
define("MAIN_Admin", "Administrador");
define("MAIN_Manager", "Responsable de grupo");
define("MAIN_User", "Usuario");
define("MAIN_LegalNotice", "Aviso Legal");

// Pantalla Chat.
define("CHAT_Users", "Usuarios");
define("CHAT_UsersUninvited", "Usuarios No Invitados");
define("CHAT_SendMessage", "Enviar Mensaje");
define("CHAT_Say", "dice");
define("CHAT_InviteAgain", "Volver a Invitar");
define("CHAT_Invite", "Invitar");

// Pantalla lista de chats.
define("CHATLIST_DateTime", "Fecha-Hora");
define("CHATLIST_Category", "Categoría");
define("CHATLIST_Users", "Usuarios");
define("CHATLIST_ViewChat", "Ver Conversa");
define("CHATLIST_Log", "Log");

// Pantalla Grupos.
define("GROUP_Description", "Descripción");
define("GROUP_Manager", "Responsable");
define("GROUP_ErrEmptyDescription", "Debe introducir una descripción");
define("GROUP_ErrEmptyManager", "Debe seleccionar un responsable");
define("GROUP_ErrExistsDescription", "La descripción introducida ya existe");
define("GROUP_ErrSavingGroup", "Error guardando grupo, contacte con el administrador por favor");
define("GROUP_ErrSavingManager", "Error guardando el responsable, contacte con el administrador por favor");

// Pantalla Usuarios.
define("USER_Login", "Login");
define("USER_Password", "Contraseña");
define("USER_Name", "Nombre");
define("USER_Surname", "Apellidos");
define("USER_Mail", "E-Mail");
define("USER_Phone", "Telefono");
define("USER_Level", "Nivel");
define("USER_ErrEmptyLogin", "Debe introducir el login");
define("USER_ErrEmptyPassword", "Debe introducir la contraseña");
define("USER_ErrEmptyName", "Debe introducir el nombre");
define("USER_ErrEmptySurname", "Debe introducir el apellido");
define("USER_ErrEmptyMail", "Debe introducir el e-mail");
define("USER_ErrEmptyLevel", "Debe seleccionar un nivel");
define("USER_ErrExistsLogin", "El login introducido ya existe");
define("USER_ErrSavingUser", "Error guardando usuario, contacte con el administrador por favor");
define("USER_ErrUserHasChats", "No se puede eliminar el usuario, ha participado en conversas");
define("USER_MsgDelete","¿Eliminar usuario?");
define("USER_FilterLogin","Filtrar por login:");

// Pantalla Categorías.
define("CATEGORY_Description", "Descripción");
define("CATEGORY_Group", "Grupo");
define("CATEGORY_ErrEmptyDescription", "Debe introducir una descripción");
define("CATEGORY_ErrEmptyGroup", "Debe seleccionar un grupo");
define("CATEGORY_ErrExistsDescription", "La descripción introducida ya existe en el grupo");
define("CATEGORY_ErrSavingCategory", "Error guardando categoría, contacte con el administrador por favor");
define("CATEGORY_ErrHasChats", "No se puede eliminar la categoría, ha sido asignada a conversas");
define("CATEGORY_MsgDelete","¿Eliminar categoría?");

// Pantalla Usuarios Grupo.
define("GROUPUSER_Assign", "Asignar");
define("GROUPUSER_DeleteAssign", "Eliminar asignación");
define("GROUPUSER_SearchLogin", "Buscar por login:");
define("GROUPUSER_ErrEmptyLogin", "Introduzca el login del usuario");
define("GROUPUSER_MsgDelete","¿Eliminar asignación al grupo?");
define("GROUPUSER_ErrDeletingAssign", "Error eliminando asignación, contacte con el administrador por favor");
define("GROUPUSER_ErrAssignCreated", "Asignación ya creada");
define("GROUPUSER_ErrSavingAssign", "Error creando asignación, contacte con el administrador por favor");

// Pantalla Info.
define("INFO_Welcome","Bienvenido a la aplicación web AC Technology.");
define("INFO_IsTFC","Esta aplicación se trata de un proyecto de TFC con finalidades escolares.");
define("INFO_Msgs","Pasos a seguir para iniciar una conversa:");
define("INFO_Msg1","Seleccionar el grupo de la lista.");
define("INFO_Msg2","Seleccionar los usuarios con los que deseas mantener la conversa.");
define("INFO_Msg3","Seleccionar la categoría que se ajusta al tema que se tratará en la conversa.");
define("INFO_Msg4","Presionar el botón 'Iniciar Conversa'.");
define("INFO_Thanks","¡Gracias por tu visita!");
define("INFO_Warning","ATENCIÓN. Para un correcto funcionamiento, la web necesita que las ventanas emergentes sean habilitadas.");
define("INFO_Sorry","Disculpe las molestias.");

// Pantalla de contacto.
define("CONTACT_Login","Login");
define("CONTACT_Subject","Asunto");
define("CONTACT_Message","Mensaje");
define("CONTACT_Send","Enviar");
define("CONTACT_FH","Fecha-Hora");
define("CONTACT_SendOK","Mensaje enviado correctamente");
define("CONTACT_SendError","Error enviando mensaje");
define("CONTACT_ErrLoginEmpty","Debe introducir el login");
define("CONTACT_ErrSubjectEmpty","Debe introducir el asunto");
define("CONTACT_ErrCommentsEmpty","Debe introducir el mensaje");
?>