<?php
	session_start();
	if(isset($_SESSION['u_id']))
	{
		header('location: /main.php'); 
	}
	
	if(isset($_GET['lang'])) 
	{
		switch($_GET['lang']) 
		{
			case "es":
				$lang = "es";
				$_SESSION['u_lang']="es";
			break;
			case "ca":
				$lang = "ca";
				$_SESSION['u_lang']="ca";
			break;
			case "en":
				$lang = "en";
				$_SESSION['u_lang']="en";
			break;
			default:
				$lang = "ca";
				$_SESSION['u_lang']="ca";
			break;
		}
	}else{
		$lang = "ca";
		$_SESSION['u_lang']="ca";
	}
	
	//include language class
	require_once 'inc/class.lang.php';
	$mylang=new mylanguage();
	$mylang->load_language($lang);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo($mylang->get_language()) ?>">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo(LOGIN_Title) ?></title>
<link href="../css/styles.css" rel="stylesheet" type="text/css" />
</head>

<script type="text/javascript" src="js/jquery-1.7.1.min.js"></script>
<script src="/js/functions.js" type="text/javascript"></script>
  
<script>	
	function RememberPassword(){
		var vLogin = document.getElementById("user").value;
		jQuery.ajax({
			type: "POST", 
			url: "scripts/password_send.php?lang=<?php echo($mylang->get_language()) ?>",
			data: 'login='+vLogin, 
			success: function(html) {
				jQuery('#TextError').html(html);
			}
		});
	}
</script>

<body>
<div id="ContainerLogin">
    <div id="FormLogin" class="FormLogin">        
        <form method="post" action="../scripts/login.php">
          <div class="Lang" id="Lang">
          	<a href="index.php?lang=ca"><img src="images/cat.png" width="16" height="11" border=0 alt="<?php echo(GEN_CAT) ?>"/></a>
            <a href="index.php?lang=es"><img src="images/esp.png" width="16" height="11" border=0 alt="<?php echo(GEN_ESP) ?>"/></a>
          	<a href="index.php?lang=en"><img src="images/eng.png" width="16" height="11" border=0 alt="<?php echo(GEN_ENG) ?>"/></a>
          </div>
          <div class="Logo">
          	<img src="images/logo.png" width="280" height="131" alt="<?php echo(GEN_Logo) ?>"/>
          </div>          
          <div class="Form">
          	<div class="ErrorLogin">&nbsp;
		      <?php
                error_reporting(0);
                echo $_GET['msg'];
              ?>
            </div>
            	<input id="lang" name="lang" type="hidden" value="<?php echo($mylang->get_language())?>"/>
            <p><div class="LabelLogin"><?php echo(LOGIN_User) ?>&nbsp;</div> 
               <div class="TextLogin"><input id="user" name="user" type="text" /></div></p>
            <p><div class="LabelLogin"><?php echo(LOGIN_Password) ?>&nbsp;</div>
               <div class="TextLogin"><input id="pass" name="pass" type="password" /></div></p>
            <p><div class="ButtonLogin"><input name="submit" type="submit" value="<?php echo(LOGIN_Submit) ?>" /></div></p>
            <p><a href="#" onClick="RememberPassword();"><?php echo(LOGIN_RememberPassword) ?></a></p>
            <p><a href="#" onClick="OpenPopSmall('contact.php?lang=<?php echo($mylang->get_language()) ?>');"><?php echo(LOGIN_Contact) ?></a></p>
            <p><div id="TextError">&nbsp;</div></p>
          </div>
        </form>
    </div>
</div>
</body>
</html>
