<?php
session_start();
if(!isset($_SESSION['u_id']))
{
	//Mostrar sesion expirada
	header('location: sesion_expired.php'); 
}

/* Archivo con las funciones php */
include_once("scripts/functions.php");

/* Incluir clase idioma */
IncludeLang('inc');

/*Incluimos el fichero de la clase*/
require("inc/class.db.php");

/*Creamos la instancia del objeto. Ya estamos conectados*/
$db=Db::getInstance();

$sql = "SELECT u.*
		FROM users u
		WHERE (u.u_id = " . $_GET['id'] .")";
$result=$db->ejecutar($sql);
$row = mysql_fetch_array($result, MYSQL_ASSOC);
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo($_SESSION['u_lang']) ?>">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo(MAIN_PersonalData) ?></title>
<link href="css/styles.css" rel="stylesheet" type="text/css" />

<script type="text/javascript" src="js/jquery-1.7.1.min.js"></script>
<script src="/SpryAssets/SpryMenuBar.js" type="text/javascript"></script>
<script src="/js/functions.js" type="text/javascript"></script>

<!-- Javascript externo de tabla -->
<link href="tablecloth/tablecloth.css" rel="stylesheet" type="text/css" media="screen" />
<script type="text/javascript" src="tablecloth/tablecloth.js"></script>

<script>  
  function SubmitForm(vOption){
	  // Limpiar campo de errores.
	  jQuery('#TextError').html('&nbsp;');
	    
	  switch (vOption){
		  case 0:
			// Salir del formulario.
	  		document.getElementById("FormUserMod").submit(); 
		  break;
		  case 1:
		    // Control de errores.
			var vLogin = document.getElementById("login").value;			  
			if (vLogin == ''){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptyLogin) ?>");  
				  return false;
			}
			var vPassword = document.getElementById("pass").value;			  
			if (vPassword == ''){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptyPassword) ?>");  
				  return false;
			}
			var vName = document.getElementById("name").value;			  
			if (vName == ''){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptyName) ?>");  
				  return false;
			}
			var vSurname = document.getElementById("sur_name").value;			  
			if (vSurname == ''){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptySurname) ?>");  
				  return false;
			}
			var vMail = document.getElementById("mail").value;			  
			if (vMail == ''){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptyMail) ?>");  
				  return false;
			}
			
			var vLevel = <?php echo($_SESSION['u_level']) ?>;
			var vPhone = document.getElementById("phone").value;
			
			var vId = document.getElementById("id").value;
	  
		  	// Guardar.
			jQuery.ajax({
				type: "POST", 
				url: "/scripts/users/user_edit.php?action=modify",
				data: 'id='+vId+'&login='+vLogin+'&pass='+vPassword+'&level='+vLevel+'&name='+vName+'&sur_name='+vSurname+'&mail='+vMail+'&phone='+vPhone, 
				success: function(a) {
							if (a == 'ok'){
								document.getElementById("FormUserMod").submit();
							}else{
								jQuery('#TextError').html(a);
							}
						  }
			});
		  break;
	  }	    
  }
</script>
</head>

<body>

<div id="UserMod">
    <form id="FormUserMod" name="FormUserMod" method="post"> <!-- action="/scripts/user_edit.php?action=modify"> -->
        <input type="hidden" name="id" id="id" value="<?php echo $row['u_id']; ?>">
        <p><div class="LabelForm"><?php echo(USER_Login) ?>*:&nbsp;</div>
           <div class="TextForm"><input type="text" id="login" name="login" disabled="disabled" value="<?php echo $row['u_login']; ?>"></div>
        </p>
           <p><div class="LabelForm"><?php echo(USER_Password) ?>*:&nbsp;</div>
           <div class="TextForm"><input id="pass" name="pass" type="text" value="<?php echo $row['u_password']; ?>"></div>
        </p>
        <p><div class="LabelForm"><?php echo(USER_Name) ?>*:&nbsp;</div>
           <div class="TextForm"><input id="name" name="name" type="text" value="<?php echo $row['u_name']; ?>"></div>
        </p>
        <p><div class="LabelForm"><?php echo(USER_Surname) ?>*:&nbsp;</div>
           <div class="TextForm"><input id="sur_name" name="sur_name" type="text" value="<?php echo $row['u_surname']; ?>"></div>
        </p>
        <p><div class="LabelForm"><?php echo(USER_Mail) ?>*:&nbsp;</div>
           <div class="TextForm"><input id="mail" name="mail" type="text" value="<?php echo $row['u_mail']; ?>"></div>
        </p>        
        <p><div class="LabelForm"><?php echo(USER_Phone) ?>:&nbsp;</div>
           <div class="TextForm"><input id="phone" name="phone" type="text" value="<?php echo $row['u_phone']; ?>"></div>
        </p>
        <p><div class="ButtonForm">
            <input type="button" value="<?php echo(GEN_Modify) ?>" onclick="SubmitForm(1);"></div>
        </p>
        <p><div id="TextError">&nbsp;</div></p>
    </form>
</div>

<?php
$db->close();
?>
</body>

</html>