<?php
session_start();
if(!isset($_SESSION['u_id']))
{
	//Mostrar sesion expirada
	header('location: ../../sesion_expired.php'); 
}

/* Archivo con las funciones php */
include_once("../functions.php");

/* Incluir clase idioma */
IncludeLang('../../inc');
?>

<script type="text/javascript" src="../../js/jquery-1.7.1.min.js"></script>
<script type="text/javascript" src="../../js/functions.js"></script>

<script>  
  function SubmitForm(vOption){
	  // Limpiar campo de errores.
	  jQuery('#TextError').html('&nbsp;');
	    
	  switch (vOption){
		  case 0:
			// Salir del formulario.
	  		document.getElementById("FormUserAdd").submit(); 
		  break;
		  case 1:
		    // Control de errores.
			var vLogin = document.getElementById("login").value;			  
			if (vLogin == ''){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptyLogin) ?>");  
				  return false;
			}
			var vPassword = document.getElementById("pass").value;			  
			if (vPassword == ''){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptyPassword) ?>");  
				  return false;
			}
			var vName = document.getElementById("name").value;			  
			if (vName == ''){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptyName) ?>");  
				  return false;
			}
			var vSurname = document.getElementById("sur_name").value;			  
			if (vSurname == ''){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptySurname) ?>");  
				  return false;
			}
			var vMail = document.getElementById("mail").value;			  
			if (vMail == ''){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptyMail) ?>");  
				  return false;
			}
			var vLevel = document.getElementById("level").value;			  
			if (vLevel == 0){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptyLevel) ?>");  
				  return false;
			}
			var vPhone = document.getElementById("phone").value;
	  
		  	// Guardar.
			jQuery.ajax({
				type: "POST", 
				url: "/scripts/users/user_edit.php?action=add",
				data: 'login='+vLogin+'&pass='+vPassword+'&level='+vLevel+'&name='+vName+'&sur_name='+vSurname+'&mail='+vMail+'&phone='+vPhone, 
				success: function(a) {
							if (a == 'ok'){
								document.getElementById("FormUserAdd").submit();
							}else{
								jQuery('#TextError').html(a);
							}
						  }
			});
		  break;
	  }	    
  }
</script>

<div id="UserAdd">
    <form id="FormUserAdd" name="FormUserAdd" method="post"> <!-- action="/scripts/user_edit.php?action=add"> -->
        <p><div class="LabelForm"><?php echo(USER_Login) ?>*:&nbsp;</div>
           <div class="TextForm"><input id="login" name="login" type="text"></div></p>
        <p><div class="LabelForm"><?php echo(USER_Password) ?>*:&nbsp;</div>
           <div class="TextForm"><input id="pass" name="pass" type="text"></div></p>
        <p><div class="LabelForm"><?php echo(USER_Name) ?>*:&nbsp;</div>
           <div class="TextForm"><input id="name" name="name" type="text"></div></p>
        <p><div class="LabelForm"><?php echo(USER_Surname) ?>*:&nbsp;</div>
           <div class="TextForm"><input id="sur_name" name="sur_name" type="text"></div></p>
        <p><div class="LabelForm"><?php echo(USER_Mail) ?>*:&nbsp;</div>
           <div class="TextForm"><input id="mail" name="mail" type="text"></div></p>        
        <p><div class="LabelForm"><?php echo(USER_Phone) ?>:&nbsp;</div>
           <div class="TextForm"><input id="phone" name="phone" type="text"></div></p>
        <p><div class="LabelForm"><?php echo(USER_Level) ?>*:&nbsp;</div>
           <div class="TextForm"><select id="level" name="level">
			<?php
				switch ($_SESSION['u_level']){
                    case 1: // Administrador.
                		echo "<option value='1'>". MAIN_Admin ."</option>";
						echo "<option value='2'>". MAIN_Manager ."</option>";
						echo "<option value='3' selected>". MAIN_User ."</option>";
					 break;
					 case 2: // Responsable grupo.
					 	echo "<option value='3' selected>". MAIN_User ."</option>";
					 break;
				}
            ?>
           </select></div></p>
        <p><div class="ButtonForm">
      		<input type="button" value="<?php echo(GEN_Create) ?>" onclick="SubmitForm(1);">
        	<input type="button" value="<?php echo(GEN_Return) ?>" onclick="SubmitForm(0);"></div>
        </p>
        <p><div id="TextError">&nbsp;</div></p>
    </form>
</div>