<?php
	session_start();
	if(!isset($_SESSION['u_id']))
	{
		//Mostrar sesion expirada
		header('location: /sesion_expired.php'); 
	}
	
	/* Archivo con las funciones php */
	include_once("scripts/functions.php");

	/* Incluir clase idioma */
	IncludeLang('inc');
	
	
	//require("inc/class.db.php");
	// Al inicio se elimina si está este ID de chat requerido para el usuario.
	/*Creamos la instancia del objeto. Ya estamos conectados*/
	/*$db=Db::getInstance();	
	//Obtener variables y ejecutar query
	$chatId = mysql_real_escape_string($_GET['chat_id']);
	$userId = mysql_real_escape_string($_SESSION['u_id']);	
	$result = mysql_query("DELETE FROM chat_require WHERE chr_chat = '$chatId' AND chr_user = '$userId'");
	// Cerrar conexión con base de datos.
	$db->closeDbOnly();
	if(!$result){
		echo "Error delete require chat";
	}*/
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo($_SESSION['u_lang']) ?>">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo(MAIN_Chats) ?></title>
<link href="../css/styles.css" rel="stylesheet" type="text/css" />

<script type="text/javascript" src="js/jquery-1.7.1.min.js"></script> 
<script src="/js/functions.js" type="text/javascript"></script> 
<script>	
    // Situar el focus del formulario en el textarea.
	function FocusTextArea(){
		document.getElementById("TextChatSendMessage").focus();
	}
	
	function ClearTextArea() {
        document.getElementById("TextChatSendMessage").value = '';
    }

    // Cargar los mensajes en el chat.
	function LoadChatMessages()
	{		
	    // Altura del scroll.
	    //var vScrollHeight = $("#chatContent").attr("scrollHeight") - 20; 
		
		var vChatId = <?php echo($_GET['chat_id']) ?>;
		
		jQuery.ajax({
				type: "GET", 
				url: "scripts/chats/chat_get_messages.php",
				data: 'chat_id='+vChatId, // Enviar el Id del chat actual.
				success: function(result) {
					jQuery('#chatContent').html(result); // Mostrar los mensajes del chat.
				}
			});		
			
		// Bajar el scroll del contenido.
		var scc = document.getElementById("chatContent");
		scc.scrollTop = scc.scrollHeight + scc.offsetHeight;
		
		setTimeout('LoadChatMessages()', 1000);
	}
	
	// Cargar lista de usuarios.
	function LoadListUsers(){
		var vChatId = <?php echo($_GET['chat_id']) ?>;
		
		// Cargar los usuarios que participan en el chat.
		jQuery.ajax({
				type: "POST", 
				url: "scripts/chats/chat_get_users.php",
				data: 'chat_id='+vChatId+'&users_online=1', // Enviar el Id del chat actual.
				success: function(result) {
					jQuery('#chatlistusers').html(result); // Mostrar los usuarios del chat.
				}
			});	
			
		// Cargar los usuarios que del grupo no invitados al chat.
		jQuery.ajax({
				type: "POST", 
				url: "scripts/chats/chat_get_users.php",
				data: 'chat_id='+vChatId+'&users_online=0',
				success: function(result) {
					jQuery('#chatlistusersUninvited').html(result); 
				}
			});		
			
		// Refrescar cada minuto.
		setTimeout('LoadListUsers()', 60000);		
	}
		
 
	// Función para activar submit del formulario al apretar enter en el campo de texto.
	function OnPressEnter_TextArea($char, $id){		
		$textarea = document.getElementById($id);
   
	   if($char == 13){		  
		  $texto_escapado = escape($textarea.value);		  
		  if (navigator.appName == "Opera" || navigator.appName == "Microsoft Internet Explorer"){
			  $texto_sin_enter = str_replace("%0D%0A", "", $texto_escapado);
		  }else{
			  $texto_sin_enter = str_replace("%0A", "", $texto_escapado);
		  }		  
		  $textarea.value = unescape($texto_sin_enter);	  		   
		  
		  OnClickButtonChatSendMessage();
		  
		  //$textarea.value = nl2br($textarea.value);
		  nospaces($textarea);
	   }
	}	
	
	function OnClickButtonChatSendMessage(){
		// Mensaje a enviar.
		var vMessage = document.getElementById("TextChatSendMessage").value; //$("#TextChatSendMessage").value;
		
		if(vMessage == "") {
			return false;
		}
						
		// Id del chat.
		var vChatId = <?php echo($_GET['chat_id']) ?>;
		
		// Usuario de la sesión.
		var vUser = <?php echo($_SESSION['u_id']) ?>;		
		
		// Deshabilitar botón de enviar.
		document.getElementById("ButtonChatSendMessage").disabled = true;
		 
		// Cargar mensajes del chat.
		jQuery.ajax({
			type: "GET", 
			url: "scripts/chats/chat_send_message.php",
			data: 'chat_id='+vChatId+'&user_id='+vUser+'&chat_message='+vMessage, 
			success: function(result) {
				jQuery('#chatError').html(result); // Sólo se devuelve si hay error, se muestra en ese caso.
			}
		});
					
		// Limpiar campo del mensaje.
		//$("#TextChatSendMessage").val("");
		ClearTextArea();	
		
		//ClearTextArea();
		FocusTextArea();
								
		// Habilitar botón de enviar.
		document.getElementById("ButtonChatSendMessage").disabled = false;								
		
		return false;
	}
	
	// Invitar a un usuario al chat.
	function OnClickButtonChatInviteUser(pUserId){
		// Id del chat.
		var vChatId = <?php echo($_GET['chat_id']) ?>;
		var vUserId = pUserId;
				
		//alert($pUserId);		
		jQuery.ajax({
			type: "POST", 
			url: "scripts/chats/chat_invite_user.php",
			data: 'chat_id='+vChatId+'&user_id='+vUserId, 
			success: function(result){
				jQuery('#chatError').html(result);
			}
		});	
			
	}

	$(document).ready(function(){
   		// código a ejecutar cuando el DOM está listo para recibir instrucciones.
		
		var vChatId = <?php echo($_GET['chat_id']) ?>;
		
		// Cargar la categoría asignada al chat.
		jQuery.ajax({
				type: "GET", 
				url: "scripts/chats/chat_get_category.php",
				data: 'chat_id='+vChatId, // Enviar el Id del chat actual.
				success: function(result) {
					jQuery('#chatCategory').html(result);
				}
			});	
		
		// Cargar la lista de usuarios invitados y los usuarios del grupo no invitados.
		LoadListUsers();
				
		// Cargar mensajes del chat.
		LoadChatMessages();		

		// Evento OnClick para enviar mensaje.		
		$("#ButtonChatSendMessage").click(function(){
			// Se ha pulsado el botón para enviar mensaje.
			return OnClickButtonChatSendMessage();			
   		});
		
		// Evento OnClick para invitar un usuario, vuelve a abrirle la ventana de chat.		
		$("#chatButtonListUsers").click(function(){			
			var vUserId = document.getElementById("chatlistusers").value;	
			if ((vUserId != '') && (vUserId > 0)) {
				document.getElementById("chatButtonListUsers").disabled = true;
				OnClickButtonChatInviteUser(vUserId);
				document.getElementById("chatButtonListUsers").disabled = false;			
			}
   		});
		
		// Evento OnClick para invitar un usuario del grupo que no estaba en la conversa.		
		$("#chatButtonListUsersUninvited").click(function(){
			var vUserId = document.getElementById("chatlistusersUninvited").value;
			if ((vUserId != '') && (vUserId > 0)) {
				document.getElementById("chatButtonListUsersUninvited").disabled = true;
				OnClickButtonChatInviteUser(vUserId);
				document.getElementById("chatButtonListUsersUninvited").disabled = false;			
			}
   		});
	}); 
</script>
</head>

<body onload="FocusTextArea();">

<div id="ChatContenedor">

  <!-- Categoría del chat -->
  <div class="chatCategory" id="chatCategory">Categoría del chat</div>
    
  <!-- Muestra si se produce algún error -->
  <div class="chatError" id="chatError">&nbsp;</div>
    
  
    <!-- Contenido del chat -->
    <div class="chatContent" id="chatContent"> 
      <textarea id="TextChatContent"></textarea> 
    </div>
    
    <!-- Lista de los usuarios que participan en la conversa -->
    <div class="chatContainerUsers" id="chatContainerUsers">
        <div class="chatUsers"><?php echo(CHAT_Users) ?></div>                
        <div class="chatUsersList">
            <form method="post" id="chatFormUsers">
                <p><select name="chatlistusers" size="5" id="chatlistusers">
                 <?php
                    echo "<option value='0'>----</option>";
                  ?>
                </select></p>
                <p><input name="submit" type="submit" value="<?php echo(CHAT_InviteAgain) ?>"  id="chatButtonListUsers"/></p>
            </form>
        </div>
    </div>
    
  <!-- Lista de los usuarios del grupo que no participan en la conversa -->
    <div class="chatContainerUninvited" id="chatContainerUninvited">
        <div class="chatUsersUninvited"><?php echo(CHAT_UsersUninvited) ?></div>
        <div class="chatUsersUninvitedList">
            <form method="post" id="chatFormUsersUninvited">
                    <p><select name="chatlistusersUninvited" size="5" id="chatlistusersUninvited">
                     <?php
                        echo "<option value='0'>----</option>";
                      ?>
                    </select></p>
                    <p><input name="submit" type="submit" value="<?php echo(CHAT_Invite) ?>" id="chatButtonListUsersUninvited"/></p>
            </form>
        </div>
    </div>

    
  <!-- Memo dónde escribir el mensaje que se envía -->
    <div class="chatSendMessage" id="chatSendMessage">
        <form id="FormChatSendMessage" name="FormChatSendMessage" method="post" action="">
            <input id="TextChatSendMessage" onkeypress="OnPressEnter_TextArea(event.keyCode, this.id);"></textarea>
            <input type="submit" id="ButtonChatSendMessage" value="<?php echo(CHAT_SendMessage) ?>"></input>    
        </form>
    </div>   

<!-- Cerrar div ChatConteneder -->
</div>
</body>
</html>