<?php
	session_start();
	
	if(isset($_GET['lang'])) 
	{
		switch($_GET['lang']) 
		{
			case "es":
				$lang = "es";
				$_SESSION['u_lang']="es";
			break;
			case "ca":
				$lang = "ca";
				$_SESSION['u_lang']="ca";
			break;
			case "en":
				$lang = "en";
				$_SESSION['u_lang']="en";
			break;
			default:
				$lang = "ca";
				$_SESSION['u_lang']="ca";
			break;
		}
	}else{
		$lang = "ca";
		$_SESSION['u_lang']="ca";
	}
	
	//include language class
	require_once 'inc/class.lang.php';
	$mylang=new mylanguage();
	$mylang->load_language($lang);
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo($mylang->get_language()) ?>">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo(MAIN_Contact) ?></title>
<link href="css/styles.css" rel="stylesheet" type="text/css" />
</head>

<script type="text/javascript" src="js/jquery-1.7.1.min.js"></script>
<script src="/js/functions.js" type="text/javascript"></script>
  
<script>	
	function SendContact(){
		var vLogin = document.getElementById("user_login").value;
		var vAsunto = document.getElementById("asunto").value;
		var vComentarios = document.getElementById("comentarios").value;
		
		/*if ((vLogin == '') || (vAsunto == '') || (vComentarios = '')){
			jQuery('#TextError').html("Debe completar todos los campos");
			return false;
		}*/
		
		jQuery.ajax({
			type: "POST", 
			url: "scripts/contact/contact_send.php",
			data: 'user_login='+vLogin+'&asunto='+vAsunto+'&comentarios='+vComentarios, 
			success: function(html) {
				jQuery('#TextError').html(html);
			}
		});
	}
</script>

<body>
	<div id="iFrame_Container">
		<form> <!-- method="post" action="scripts/contact/contact_send.php"> -->
        <p><?php echo(CONTACT_Login) ?>:<br /><input id="user_login" name="user_login" type="text" value="" /></p>
		<p><?php echo(CONTACT_Subject) ?>:<br /><input id="asunto" name="asunto" type="text" /></p>
        <p>
		<?php echo(CONTACT_Message) ?>: <br />
		<textarea id="comentarios" name="comentarios" cols="50" rows="6"></textarea>
		</p>
        <p><input name="buttonContact" type="button" value="<?php echo(CONTACT_Send) ?>" onclick="SendContact();" /></p>
        <p><div id="TextError">&nbsp;</div></p>
		</form>        
    </div>
</body>
</html>