<?php

/* Clase encargada de gestionar las conexiones a la base de datos */
Class Db{

   private $server;
   private $user;
   private $password;
   private $database;
   private $link;
   private $stmt;
   private $array;

   static $_instance;

   /*La función construct es privada para evitar que el objeto pueda ser creado mediante new*/
   private function __construct(){
      $this->conectar();
   }
   
   /*Evitamos el clonaje del objeto. Patrón Singleton*/
   private function __clone(){ }

   /*Función encargada de crear, si es necesario, el objeto. Esta es la función que debemos llamar desde fuera de la clase para instanciar el objeto, y así, poder utilizar sus métodos*/
   public static function getInstance(){
      if (!(self::$_instance instanceof self)){
         self::$_instance=new self();
      }
      return self::$_instance;
   }

   /*Realiza la conexión a la base de datos.*/
   private function conectar(){
	   
	  /* Obtener los parámetros del archivo de configuración. */ 
	  include_once("constants.inc.php");
	  $this->server = DB_HOST;
	  $this->user = DB_USER;
	  $this->password = DB_PASS;
	  $this->database = DB_NAME;
	  
      $link = mysql_connect(DB_HOST, DB_USER, DB_PASS);
	  if (!$link) {
    	die('Can not connected: ' . mysql_error());
	  }
	  
	  if ($link){
		if (!mysql_select_db(DB_NAME)) {
    		die('Could not select database: ' . mysql_error());
	    }
		
		@mysql_query("SET NAMES 'utf8'");		
	  }	  	  
	  
	  if (!$link){
	      //error_log(0,'Problema de conexión a la base de datos.');
	      die('Perdonen las molestias. Tenemos un problema técnico. Esperamos resolverlo en los próximos minutos');
	   }else{
	      $this->link=$link;
	   }
   }
   
      public function close(){
		if (!$this->stmt) {
			// Liberar resultados
			mysql_free_result(!$this->stmt);		
		}
			  
	  	if (!$this->link){
			// Cerrar conexión.
	  		mysql_close($this->link);
	  	}
   	  }
	  
	  public function closeDbOnly(){			  
	  	if (!$this->link){
			// Cerrar conexión.
	  		mysql_close($this->link);
	  	}
   	  }


   /*Método para ejecutar una sentencia sql*/
   public function ejecutar($sql){
      $this->stmt=mysql_query($sql,$this->link);
      return $this->stmt;
   }

   /*Método para obtener una fila de resultados de la sentencia sql*/
   public function obtener_fila($stmt,$fila){
      if ($fila==0){
         $this->array=mysql_fetch_array($stmt);
      }else{
         mysql_data_seek($stmt,$fila);
         $this->array=mysql_fetch_array($stmt);
      }
	  
      return $this->array;
   }

   //Devuelve el último id del insert introducido
   public function lastID(){
      return mysql_insert_id($this->link);
   }
   
   // Devuelve el número de filas del select.
   public function ReturnCountRows(){
   	  return mysql_num_rows($this->stmt);
   }
        

}
?>