<?php 
// INGLÉS.
// General.
define("GEN_Create","Create");
define("GEN_Modify","Modify");
define("GEN_Delete","Delete");
define("GEN_Save","Save");
define("GEN_Return","Return");
define("GEN_Refresh", "Refresh");
define("GEN_Filter", "Filter");
define("GEN_Search", "Search");
define("GEN_CAT","Catalan");
define("GEN_ESP","Spanish");
define("GEN_ENG","English");
define("GEN_Logo","AC Logo");
define("GEN_All","All");
define("GEN_UserNotFound", "User not found, remember that the user must be level 3");

// Pantalla Login.
define("LOGIN_Title","AC Technology: Validation");
define("LOGIN_User","User:");
define("LOGIN_Password","Password:");
define("LOGIN_Submit","Submit");
define("LOGIN_Contact","Contact");
define("LOGIN_RememberPassword","Remember Password");
define("LOGIN_ErrUserPass","User or Password incorrect");
define("LOGIN_ErrActive","Error creating user session");
define("LOGIN_ErrLogin","You have to write the login");
define("LOGIN_ErrLoginNotExists","This login not exists");
define("LOGIN_ErrMailNotExists","This user has not any mail, contact with the administrator please");
define("LOGIN_ErrSendPassword","There is any error, try again please");
define("LOGIN_SendPassword","Password sended succesfully");

// Pantalla Principal.
define("MAIN_Login", "User:");
define("MAIN_State", "State:");
define("MAIN_Comment", "Comment:");
define("MAIN_Logoff", "Log off");
define("MAIN_StateOnline", "Online");
define("MAIN_StateNoAvailable", "No Available");
define("MAIN_StateOut", "Out");
define("MAIN_StateOffline", "Offline");
define("MAIN_Info", "Information");
define("MAIN_Contact", "Contact");
define("MAIN_Chats", "Chats");
define("MAIN_Groups", "Groups");
define("MAIN_Users", "Users");
define("MAIN_GroupUsers", "Users of the group");
define("MAIN_Categories", "Categories");
define("MAIN_PersonalData", "Personal");
define("MAIN_ErrSelectGroup", "Should select a group");
define("MAIN_ErrSelectCategory", "Should select a category");
define("MAIN_ErrSelectUsers", "Should select the users");
define("MAIN_PanelGroups", "Groups");
define("MAIN_PanelUsers", "Users");
define("MAIN_StartChat", "Start Chat");
define("MAIN_Admin", "Administrator");
define("MAIN_Manager", "Project Manager");
define("MAIN_User", "User");
define("MAIN_LegalNotice", "Legal Notice");

// Pantalla Chat.
define("CHAT_Users", "Users");
define("CHAT_UsersUninvited", "Uninvited Users");
define("CHAT_SendMessage", "Send Message");
define("CHAT_Say", "say");
define("CHAT_InviteAgain", "Invite Again");
define("CHAT_Invite", "Invite");

// Pantalla lista de chats.
define("CHATLIST_DateTime", "Date-Time");
define("CHATLIST_Category", "Category");
define("CHATLIST_Users", "Users");
define("CHATLIST_ViewChat", "View Chat");
define("CHATLIST_Log", "Log");

// Pantalla Grupos.
define("GROUP_Description", "Description");
define("GROUP_Manager", "Manager");
define("GROUP_ErrEmptyDescription", "You have to write the description");
define("GROUP_ErrEmptyManager", "You have to select the manager");
define("GROUP_ErrExistsDescription", "This description exists in other group");
define("GROUP_ErrSavingGroup", "Error saving grup, contact with the administrator please");
define("GROUP_ErrSavingManager", "Error saving the manager, contact with the administrator please");
define("GROUP_MsgDelete","Do you want to delete the group? If related conversations, will be eliminated");

// Pantalla Usuarios.
define("USER_Login", "Login");
define("USER_Password", "Password");
define("USER_Name", "Name");
define("USER_Surname", "Surname");
define("USER_Mail", "Mail");
define("USER_Phone", "Phone");
define("USER_Level", "Level");
define("USER_ErrEmptyLogin", "You have to write the login");
define("USER_ErrEmptyPassword", "You have to write the password");
define("USER_ErrEmptyName", "You have to write the name");
define("USER_ErrEmptySurname", "You have to write the surname");
define("USER_ErrEmptyMail", "You have to write the mail");
define("USER_ErrEmptyLevel", "You have to select the level");
define("USER_ErrExistsLogin", "The login exists in other user");
define("USER_ErrSavingUser", "Error saving user, contact with the administrator please");
define("USER_ErrUserHasChats", "This user can not be eliminated, he/she has participed in talks");
define("USER_MsgDelete","Do you want to delete the user?");
define("USER_FilterLogin","Filter from login:");

// Pantalla Categorías.
define("CATEGORY_Description", "Description");
define("CATEGORY_Group", "Group");
define("CATEGORY_ErrEmptyDescription", "You have to write description");
define("CATEGORY_ErrEmptyGroup", "You have to select the group");
define("CATEGORY_ErrExistsDescription", "The category exists in group");
define("CATEGORY_ErrSavingCategory", "Error saving category, contact with the administrator please");
define("CATEGORY_ErrHasChats", "This category can not be eliminated, it has assigned in talks");
define("CATEGORY_MsgDelete","Do you want to delete the category?");

// Pantalla Usuarios Grupo.
define("GROUPUSER_Assign", "Assign");
define("GROUPUSER_DeleteAssign", "Delete assign");
define("GROUPUSER_SearchLogin", "Search for login:");
define("GROUPUSER_ErrEmptyLogin", "You have to write the login of the user");
define("GROUPUSER_MsgDelete","Do you want to delete the assignation?");
define("GROUPUSER_ErrDeletingAssign", "Error deleting assignation, contact with the administrator please");
define("GROUPUSER_ErrAssignCreated", "Assignment already created");
define("GROUPUSER_ErrSavingAssign", "Error creating assignation, contact with the administrator please");

// Pantalla Info.
define("INFO_Welcome","Welcome to the AC Technology web.");
define("INFO_IsTFC","This page is a project of TFC with school purposes.");
define("INFO_Msgs","Follow the next steps to start a chat:");
define("INFO_Msg1","Select the group in the list.");
define("INFO_Msg2","Select the users in the list.");
define("INFO_Msg3","Select the category of the chat in the list.");
define("INFO_Msg4","Press button 'Start Chat'.");
define("INFO_Thanks","Thanks for your visit!");
define("INFO_Warning","ATTENTION. This web needs pop-ups enabled for a correct operation.");
define("INFO_Sorry","Sorry for the inconvenience.");

// Pantalla de contacto.
define("CONTACT_Login","Login");
define("CONTACT_Subject","Subject");
define("CONTACT_Message","Message");
define("CONTACT_Send","Send");
define("CONTACT_FH","Date-Time");
define("CONTACT_SendOK","Message send ok");
define("CONTACT_SendError","Error sending message");
define("CONTACT_ErrLoginEmpty","You have to write the login");
define("CONTACT_ErrSubjectEmpty","You have to write the subject");
define("CONTACT_ErrCommentsEmpty","You have to write the message");
?>