<?php
session_start();
if(!isset($_SESSION['u_id']))
{
	//Mostrar sesion expirada
	header('location: ../../sesion_expired.php'); 
}

/* Archivo con las funciones php */
include_once("../functions.php");

/* Incluir clase idioma */
IncludeLang('../../inc');

/*Incluimos el fichero de la clase*/
require("../../inc/class.db.php");

/*Creamos la instancia del objeto. Ya estamos conectados*/
$db=Db::getInstance();

$description = $_POST['name'];
$group = $_POST['group'];


switch($_GET['action'])
{
	case 'modify': /* MODIFICAR CATEGORÍA */
		$id = $_POST['id'];
		
		// Comprobar que no exista la descripción en otra categoría.
		$result = $db->ejecutar("SELECT count(*) as existscat 
								 FROM categories 
								 WHERE (UPPER(c_description) = UPPER('$description'))
								 AND (c_group = '$group')
								 AND (c_id <> $id)");
		$NumCat = 0;
		if($result){
			$row = mysql_fetch_array($result, MYSQL_ASSOC);
			$NumCat = $row['existscat'];
		}
		
		if ($NumCat > 0){
			echo(CATEGORY_ErrExistsDescription);
		}else{
			// Modificar categoría.
			$result = $db->ejecutar("UPDATE categories SET c_description = '$description', c_group= '$group' WHERE c_id = '". $id ."'");
			$report = ((!$result) ? CATEGORY_ErrSavingCategory : "ok");
			echo $report;
		}
	break;
	
	case 'add': /* CREAR CATEGORÍA */
		// Comprobar que la categoría no exista en el grupo.
		$result = $db->ejecutar("SELECT count(*) as existscat 
								 FROM categories 
								 WHERE (UPPER(c_description) = UPPER('$description'))
								 AND (c_group = '$group')");
		$NumCat = 0;
		if($result){
			$row = mysql_fetch_array($result, MYSQL_ASSOC);
			$NumCat = $row['existscat'];
		}
		
		if ($NumCat > 0){
			echo(CATEGORY_ErrExistsDescription);
		}else{		
			// Insertar categoría.
			$result = $db->ejecutar("INSERT INTO categories (c_description, c_group) VALUES ('$description','$group')");
			
			$report = ((!$result) ? CATEGORY_ErrSavingCategory : "ok");
			echo $report;
		}
	break;
}

$db->closeDbOnly();	
?>