<?php
session_start();
if(!isset($_SESSION['u_id']))
{
	//Mostrar sesion expirada
	header('location: ../../sesion_expired.php'); 
}

/* Archivo con las funciones php */
include_once("../functions.php");

/* Incluir clase idioma */
IncludeLang('../../inc');

/*Incluimos el fichero de la clase*/
require("../../inc/class.db.php");

/*Creamos la instancia del objeto. Ya estamos conectados*/
$db=Db::getInstance();
$sql ="	SELECT c.*
		FROM categories c
		WHERE c.c_id = " . $_GET['id'];
	   
/*Ejecutamos la query*/
$result=$db->ejecutar($sql);
$row = mysql_fetch_array($result, MYSQL_ASSOC);
?>

<script type="text/javascript" src="../../js/jquery-1.7.1.min.js"></script>
<script type="text/javascript" src="../../js/functions.js"></script>

<script>  
  function SubmitForm(vOption){
	  // Limpiar campo de errores.
	  jQuery('#TextError').html('&nbsp;');
	    
	  switch (vOption){
		  case 0:
			// Salir del formulario.
	  		document.getElementById("FormCategoryMod").submit(); 
		  break;
		  case 1:
		    // Control de errores.
			var vDescription = document.getElementById("name").value;			  
			if (vDescription == ''){
				  jQuery('#TextError').html("<?php echo(CATEGORY_ErrEmptyDescription) ?>");  
				  return false;
			}
			  
			// Grupo
			var vGroup = document.getElementById("group").value;
			
			// Id de la categoría. Está oculto.
			var vId = document.getElementById("id").value;
	  
		  	// Guardar.
			jQuery.ajax({
				type: "POST", 
				url: "/scripts/categories/category_edit.php?action=modify",
				data: 'id='+vId+'&name='+vDescription+'&group='+vGroup, 
				success: function(a) {
							if (a == 'ok'){
								document.getElementById("FormCategoryMod").submit();
							}else{
								jQuery('#TextError').html(a);
							}
						  }
			});
		  break;
	  }	    
  }
</script>

<div id="CategoryMod">
    <form id="FormCategoryMod" name="FormCategoryMod" method="post"> <!-- action="/scripts/category_edit.php?action=modify"> -->
        <input type="hidden" name="id" id="id" value="<?php echo $row['c_id']; ?>">
        <p><div class="LabelForm"><?php echo(CATEGORY_Description) ?>:&nbsp;</div>
           <div class="TextForm"><input id="name" name="name" value="<?php echo $row['c_description']; ?>" type="text"></div>
        </p>
        <p><div class="LabelForm"><?php echo(CATEGORY_Group) ?>:&nbsp;</div>
           <div class="TextForm"><select id="group" name="group">
				<?php
					switch ($_SESSION['u_level']){
						case 1: // Administrador.
							$sql = "SELECT *
									FROM groups
									ORDER BY g_description";
						break;
						
						case 2: // Responsable grupo.
							$sql = "SELECT DISTINCT g.*
									FROM groups g, user_group ug
									WHERE (g.g_id = ug.ug_group)
									AND (ug.ug_level = 2)
									AND (ug.ug_user = '". $_SESSION['u_id'] ."')
									ORDER BY g.g_description";
						break;
					}
							
					/*Ejecutamos la query*/
					$result=$db->ejecutar($sql);
					while ($row2 = mysql_fetch_array($result, MYSQL_ASSOC)) {					
						$selected = (($row['g_id'] == $row2['g_id']) ? 'selected' : '');	
						
						if ($row2['g_id'] != 0)
						{
							echo "<option value='". $row2['g_id'] ."' $selected>". $row2['g_description'] ."</option>";
						}else{
							echo "<option value='0' $selected>". GEN_All ."</option>";
						}
					}
                ?>
        	</select></div>
        </p>
        <p><div class="ButtonForm">
      		<input type="button" value="<?php echo(GEN_Modify) ?>" onclick="SubmitForm(1);">
        	<input type="button" value="<?php echo(GEN_Return) ?>" onclick="SubmitForm(0);"></div>
        </p>
        <p><div id="TextError">&nbsp;</div></p>
    </form>
</div>

<?php
$db->close();
?>