<?php
session_start();

/* Archivo con las funciones php */
include_once("../functions.php");

/* Incluir clase idioma */
IncludeLang('../../inc');
	
/*Incluimos el fichero de la clase*/
require("../../inc/class.db.php");

/*Creamos la instancia del objeto. Ya estamos conectados*/
$db=Db::getInstance();

/*Creamos query */
switch ($_SESSION['u_level']){
	case 1: // Administrador.
		$sql = "SELECT c.*, g.*
				FROM categories c LEFT JOIN groups g ON (c.c_group = g.g_id)
				ORDER BY g.g_id, c.c_description";
	break;
	case 2: // Responsable grupo.
		$sql = "SELECT DISTINCT c.*, g.* 
				FROM categories c, groups g
				WHERE (c.c_group = g.g_id)
				AND (c.c_group IN (select g.g_id 
                              		 from groups g, user_group ug 
                              		 where (g.g_id = ug.ug_group)
                              		 and (ug.ug_level = 2)
                              		 and (ug.ug_user = '".$_SESSION['u_id']."')))
				ORDER BY g.g_id, c.c_description";
	break;
}
	   
/*Ejecutamos la query*/
$result=$db->ejecutar($sql);

// cabecera.
echo "<tr id='TableCategories0' style='font-weight:bold'>
		<th width='20px'>&nbsp;</th>
        <th width='400px'>".CATEGORY_Description."</th>
		<th width='150px'>".CATEGORY_Group."</th>
      </tr>";

$i = 1;

while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
	
	$id = $row['c_id'];
	$desc = $row['c_description'];
	$grupo = (($row['g_id'] == 0) ? GEN_All : $row['g_description']);
	
	echo "<tr id='TableCategories'>
		<td width='20px'><input type='checkbox' name='checktable' value='". $id ."' id='checkbox".$i."' onclick='SelectCheckbox(id);'>&nbsp;</td>
        <td width='400px'>". $desc ."</td>
		<td width='150px'>". $grupo ."</td>
      </tr>";
	 $i++;
}			  
			
$db->close();
?>