<?php
session_start();

/* Archivo con las funciones php */
include_once("../functions.php");

/* Incluir clase idioma */
IncludeLang('../../inc');

/*Incluimos el fichero de la clase*/
require("../../inc/class.db.php");

/*Creamos la instancia del objeto. Ya estamos conectados*/
$db=Db::getInstance();

/*Creamos query */
if ($_POST['users_online'] == 1){
	$sql ="SELECT distinct users.u_id, users.u_login, users.u_comments, users.u_state
		   FROM chat_users right join users on chat_users.chu_user = users.u_id 
		   WHERE (chat_users.chu_chat = ". $_POST['chat_id'] .")
		   AND (users.u_id <> ". $_SESSION['u_id'] .")
		   ORDER BY users.u_login";
}else{
	$sql ="SELECT distinct u.u_id, u.u_login, u.u_comments, u.u_state
 		   FROM users u, user_group ug, chat c
 		   WHERE (u.u_id = ug.ug_user)
       	   AND (c.ch_group = ug.ug_group)
		   AND (c.ch_id = ". $_POST['chat_id'] .")
           AND (u.u_id NOT IN (SELECT distinct users.u_id
		   					 FROM chat_users right join users 
                             on chat_users.chu_user = users.u_id 
		   					 WHERE (chat_users.chu_chat = ". $_POST['chat_id'] .")))";
}
	   
/*Ejecutamos la query*/
$result=$db->ejecutar($sql);

$db->close();

while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
	if ($row['u_state'] == 0){
		echo "<option value='". $row['u_id'] ."'>". $row['u_login'] ." (". MAIN_StateOffline .")</option>";
		//echo "<B>". $row['u_login']. "</B><I> (Desconectado)</I><BR />";
	}else{
		echo "<option value='". $row['u_id'] ."'>". $row['u_login'] ." - ". $row['u_comments'] ."</option>"; 
		//echo "<B>". $row['u_login']. "</B> - ". $row['u_comments'] . "<BR />";
	}
}	
?>