<?php
session_start();

header ('Content-type: text/html; charset=utf-8');

require("../functions.php");

/*Incluimos el fichero de la clase*/
require("../../inc/class.db.php");

/*Creamos la instancia del objeto. Ya estamos conectados*/
$db=Db::getInstance();
$acentos = $db->ejecutar("SET NAMES 'utf8'");

/*Obtener variables y ejecutar query */
$chatId = mysql_real_escape_string($_GET['chat_id']);
$message = $_GET['chat_message']; //mysql_real_escape_string($_GET['chat_message']);
$userId = mysql_real_escape_string($_GET['user_id']);

// Si el navegador es Internet Explorer se codifica a UTF8.
include('../../inc/class.browser.php');
$browser = new browser();
if ($browser->isMSIE()){
	$message = utf8_encode($message);
}

$result = $db->ejecutar("INSERT INTO chat_messages (chm_chat, chm_user, chm_text, chm_datetime) VALUES ('$chatId', '$userId', '$message', NOW())");
	   
if(!$result){
	echo "Error enviando mensaje";
}else{
	echo "&nbsp;";
}

// Extraer la información del chat.
$result = $db->ejecutar("SELECT DISTINCT g.g_description, c.c_description 
					   FROM chat ch, groups g, categories c
					   WHERE (ch.ch_group = g.g_id)
					   AND (ch.ch_category = c.c_id)
					   AND (ch.ch_id = '$chatId')
					   LIMIT 0,1");
					   
if ($db->ReturnCountRows() > 0){
	$row = mysql_fetch_array($result);
	
	$group =$row['g_description'];
	$category =$row['c_description'];
}else{
	$group = 'undefined';
	$category = 'undefined';
}

$db->closeDbOnly();

// Añadir el mensaje al chat del grupo - categoría.
// Comprueba si ya está creado el archivo log.
$log = "../../chat/".$group."/".$category."/chat_".$chatId.".log";
if (!file_exists($file)) {
	// No está creado el archivo log, comprueba si está creada la carpeta del grupo.
	if (!file_exists("../../chat/".$group."/tmp.txt")) {
		// No está creada, se crea.
		@mkdir("../../chat/".$group);
		$Handle = fopen("../../chat/".$group."/tmp.txt", 'w');
		fwrite($Handle, "no borrar este archivo");
		fclose($Handle);
	}
	
	// Comprueba si está creada la carpeta de la categoría dentro del grupo.
	if (!file_exists("../../chat/".$group."/".$category."/tmp.txt")) {
		// No está creada, se crea.
		@mkdir("../../chat/".$group."/".$category);
		$Handle = fopen("../../chat/".$group."/".$category."/tmp.txt", 'w');
		fwrite($Handle, "no borrar este archivo");
		fclose($Handle);
	}
}

// Ahora hacemos el proceso inverso para guardar en el archivo con la codificación UTF-8.
$message = $_GET['chat_message'];

if ($browser->isMSIE()){
	$message = utf8_encode($_GET['chat_message']);
}


// Dar formato al mensaje.
$LogMsg = '('.date("d/m/t h:i:s").') '.$_SESSION['u_login'].': '.$message.chr(13).chr(10);

// Añadir el mensaje.
$Handle = fopen($log, 'a');
fwrite($Handle, $LogMsg, strlen($LogMsg));
fclose($Handle);
	
?>