<?php

/* AÑADIR CLASE DE IDIOMA */
function IncludeLang($FolderInc){
	$lang = $_SESSION['u_lang'];
	
	// Por defecto, catalán. 
	if(!isset($_SESSION['u_lang'])) 
	{
		$_SESSION['u_lang']="ca";
	}	
	
	if(isset($_GET['lang'])) 
	{
		switch($_GET['lang']) 
		{
			case "es":
				$lang = "es";
				$_SESSION['u_lang']="es";
			break;
			case "ca":
				$lang = "ca";
				$_SESSION['u_lang']="ca";
			break;
			case "en":
				$lang = "en";
				$_SESSION['u_lang']="en";
			break;
			default:
				$lang = "ca";
				$_SESSION['u_lang']="ca";
			break;
		}
	}
	
	//include language class
	require_once ($FolderInc.'/class.lang.php');
	$mylang=new mylanguage();
	$mylang->load_language($lang);
}

/* FUNCIONES DE USUARIOS */

function UserChangeState($db, $userId, $stateId){
	$result = $db->ejecutar("UPDATE users SET u_state = '$stateId' WHERE u_id = '$userId'");
	return $result;
}

function UserChangeComments($db, $userId, $comments){
	$result = $db->ejecutar("UPDATE users SET u_comments = '$comments' WHERE u_id = '$userId'");
	return $result;
}

// Devuelve el estado del usuario.
function UserReturnState($db, $userId){
	$result = $db->ejecutar("SELECT u_state FROM users WHERE (u_id = '$userId') LIMIT 0,1");
	while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
		return $row['u_state'];
	}
}

// Devuelve el comentario del usuario.
function UserReturnComments($db, $userId){	
	$result = $db->ejecutar("SELECT u_comments FROM users WHERE (u_id = '$userId') LIMIT 0,1");
	while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
		return $row['u_comments'];
	}
}

// Devuelve el id del usuario.
function UserReturnIdFromLogin($db, $login){
	$result = $db->ejecutar("SELECT u_id 
							 FROM users 
							 WHERE (UPPER(u_login) = UPPER('$login')) 
							 AND (u_level = 3)
							 LIMIT 0,1");
	if ($db->ReturnCountRows() > 0){
		$row = mysql_fetch_array($result, MYSQL_ASSOC);
		return $row['u_id'];
	}else{
		return 0;
	}
}

// Modificar en la tabla del usuario la fecha-hora del úlimo movimiento hecho.
function UserUpdateLastMov($db, $userId){
	$result = $db->ejecutar("UPDATE users SET u_lastmov = current_timestamp WHERE u_id = '$userId'");
	return $result;
}

// Funcion Enviar Email en HTML al admin
function EnviarEmailHTML($FileInc,$destinatario,$titulo='',$mensaje='',$responder=''){
		require ($FileInc);
		
       ini_set("sendmail_from","\"" . MAIL_USER . "\"");
	   
	   $remitente = 'info';
	   $remite = MAIL_USER;

       $headers="";
       $headers .= "X-Sender: \"$destinatario\" <$destinatario>\n"; // 
       $headers .= "From: \"$remitente\" <$remite>\n";
       $headers .= "Reply-To: \"$remitente\" <$remite>\n";
       $headers .= "Date: ".date("r")."\n";
       $headers .=  "Message-ID: <". md5(microtime()) . MAIL_USER .">\n";
       $headers .= "Subject: $titulo\n";  
       $headers .= "Return-Path: \"$remitente\" <$remite>\n";
       $headers .= "MIME-Version: 1.0\n";
       $headers .= "Content-type: text/html;charset=iso-8859-1\n";
       $headers .= "X-Priority: 3\n";
       $headers .= "Importance: Normal\n"; 
       $headers .= "X-Mailer: SelmanD Mailler With PHP\n";
      
       return @mail($destinatario, $titulo, $mensaje,$headers);       
} 


function SaveMessageContact($login, $subject, $message){
	session_start();
	
	/*Incluimos el fichero de la clase*/
	require("../../inc/class.db.php");
	
	/*Creamos la instancia del objeto. Ya estamos conectados*/
	$db=Db::getInstance();
			
	$result = $db->ejecutar("INSERT INTO contact (co_login, co_subject, co_message, co_datetime) VALUES ('$login', '$subject', '$message', NOW())");			
	
	$db->closeDbOnly();
}

function file_put_contents_utf8($file,$data){
	$utfdata="\xEF\xBB\xBF".$data;
	file_put_contents($file, $utfdata);
}

?>