<?php
session_start();
if(!isset($_SESSION['u_id']))
{
	//Mostrar sesion expirada
	header('location: ../../sesion_expired.php'); 
}

/* Archivo con las funciones php */
include_once("../functions.php");

/* Incluir clase idioma */
IncludeLang('../../inc');

/*Incluimos el fichero de la clase*/
require("../../inc/class.db.php");

/*Creamos la instancia del objeto. Ya estamos conectados*/
$db=Db::getInstance();

switch($_GET['action'])
{
	case 'modify': /* MODIFICAR GRUPO */
		$id = $_POST['id'];
		$description = $_POST['description'];
		$manager = $_POST['manager'];
		
		// Comprobar que no exista la descripción en otro grupo.
		$result = $db->ejecutar("SELECT count(*) as existsgroup 
								 FROM groups 
								 WHERE (UPPER(g_description) = UPPER('$description'))
								 AND (g_id <> $id)");
		$NumGroups = 0;
		if($result){
			$row = mysql_fetch_array($result, MYSQL_ASSOC);
			$NumGroups = $row['existsgroup'];
		}
		
		if ($NumGroups > 0){
			echo(GROUP_ErrExistsDescription);
		}else{
			// Modificar descripción.
			$result = $db->ejecutar("UPDATE groups SET g_description = '". $description ."' WHERE (g_id = ". $id .")");
			
			//$report = ((!$result) ? "Algo ha fallado al actualizar" : "Grupo actualizado correctamente");
			//echo $report;
			
			if (!$result){
				 echo(GROUP_ErrSavingGroup);
			 }
			
			// Modificar asignación de responsable.
			$result = $db->ejecutar("UPDATE user_group SET ug_user = ". $manager ." WHERE (ug_group = ". $id .") AND (ug_level = 2)");
			
			//$report = ((!$result) ? "Algo ha fallado al actualizar Manager" : "Manager actualizado correctamente");
			//echo "<br />" .$report;
			
			if (!$result){
				echo(GROUP_ErrSavingManager);
			}else{
				echo('ok');
			}
		}
	break;
	
	case 'add': /* CREAR GRUPO */
		$descripcion = $_POST['description'];
		
		// Comprobar que el grupo no exista.
		$result = $db->ejecutar("SELECT count(*) as existsgroup FROM groups WHERE (UPPER(g_description) = UPPER('$description'))");
		$NumGroups = 0;
		if($result){
			$row = mysql_fetch_array($result, MYSQL_ASSOC);
			$NumGroups = $row['existsgroup'];
		}
		
		if ($NumGroups > 0){
			echo(GROUP_ErrExistsDescription);
		}else{		
			// Insertamos primero grupo
			$result = $db->ejecutar("INSERT INTO groups (g_description) VALUES ('$descripcion')");
			
			 //$report = ((!$result) ? "Grupo NO introducido correctamente" : "Grupo introducido correctamente");
			 //echo $report;
			 
			 if (!$result){
				 echo(GROUP_ErrSavingGroup);
			 }
			 
			if ($result) {
				// Grupo creado. Continuar.		
				$result = '';
				$sql = "SELECT * FROM groups WHERE g_description = '$descripcion'";
				$result=$db->ejecutar($sql);
				if($result){
					$row = mysql_fetch_array($result, MYSQL_ASSOC);
					$result = mysql_query("INSERT INTO user_group (ug_user, ug_group, ug_level) VALUES (". $_POST['manager'] .",". $row['g_id'] .",2)");
					
					//$report = ((!$result) ? "Ha fallado la asignacion de manager" : "Manager asignado correctamente");
					//echo "<br />" . $report;
					
					if (!$result){
				 		echo(GROUP_ErrSavingManager);
			 		}else{
						echo('ok');
					}
				}
			}
			//print_r($_POST);
		}
	break;
	default:
	  // No se hace nada.
	break;
}

$db->closeDbOnly();	
?>