<?php
session_start();
if(!isset($_SESSION['u_id']))
{
	//Mostrar sesion expirada
	header('location: ../../sesion_expired.php'); 
}

/* Archivo con las funciones php */
include_once("../functions.php");

/* Incluir clase idioma */
IncludeLang('../../inc');

/*Incluimos el fichero de la clase*/
require("../../inc/class.db.php");

/*Creamos la instancia del objeto. Ya estamos conectados*/
$db=Db::getInstance();

// Obtener la información del grupo.
$sql ="	SELECT g.*, u.u_id, u.u_login, ug.ug_level
		FROM groups g, user_group ug, users u
		WHERE g.g_id = ug.ug_group
		AND ug.ug_user = u.u_id
		AND g.g_id = ". $_GET['id'] ."
		AND ug.ug_level = 2
		ORDER BY g.g_id ASC"; 
/*Ejecutamos la query*/
$result=$db->ejecutar($sql);
$row = mysql_fetch_array($result, MYSQL_ASSOC);
?>

<script type="text/javascript" src="../../js/jquery-1.7.1.min.js"></script>
<script type="text/javascript" src="../../js/functions.js"></script>

<script>  
  function SubmitForm(vOption){
	  // Limpiar campo de errores.
	  jQuery('#TextError').html('&nbsp;');
	    
	  switch (vOption){
		  case 0:
			// Salir del formulario.
	  		document.getElementById("FormGroupMod").submit(); 
		  break;
		  case 1:
		    // Control de errores.
			var vDescription = document.getElementById("description").value;
			  
			if (vDescription == ''){
				  jQuery('#TextError').html("<?php echo(GROUP_ErrEmptyDescription) ?>");  
				  return false;
			}
			  
			// Id del Responsable de grupo.
			var vManager = document.getElementById("manager").value;
			  
			if (vManager == 0){
				  jQuery('#TextError').html("<?php echo(GROUP_ErrEmptyManager) ?>");  
				  return false;
			}
			
			// Id del grupo. Está oculto.
			var vId = document.getElementById("id").value;
	  
		  	// Guardar.
			jQuery.ajax({
				type: "POST", 
				url: "/scripts/groups/group_edit.php?action=modify",
				data: 'id='+vId+'&description='+vDescription+'&manager='+vManager, 
				success: function(a) {
							if (a == 'ok'){
								document.getElementById("FormGroupMod").submit();
								top.location.reload();
							}else{
								jQuery('#TextError').html(a);
							}
						  }
			});
		  break;
	  }	    
  }
</script>

<div id="GroupMod">
	<form id="FormGroupMod" name="FormGroupMod" method="post"> <!-- action="/scripts/group_edit.php?action=modify"> -->
    	<input id="id" name="id" type="hidden" value="<?php echo $row['g_id']; ?>">
    	<p><div class="LabelForm"><?php echo(GROUP_Description) ?>:&nbsp;</div>
        	<div class="TextForm"><input id="description" name="description" type="text" value="<?php echo $row['g_description']; ?>"></div>
        </p>
        <p><div class="LabelForm"><?php echo(GROUP_Manager) ?>:&nbsp;</div>
        	<div class="TextForm"><select id="manager" name="manager">
			<?php
            // Lista de posibles Responsables de Grupo.
			// Si es Admin ve todos los responsables, si es Responsable sólo puede ser él.
			switch ($_SESSION['u_level']){
				case 1: // Administrador.
					$sql ="SELECT *
						   FROM users
						   WHERE (u_level = 2)
						   ORDER BY u_login";
				break;
				case 2: // Responsable grupo.
					$sql ="SELECT *
						   FROM users
						   WHERE (u_id = ".$_SESSION['u_id'].")";
				break;
			}        
					
			/*Ejecutamos la query*/
			$result=$db->ejecutar($sql);
            while ($row2 = mysql_fetch_array($result, MYSQL_ASSOC)) {
            	// Seleccion para user manager
            	$selected = (($row2['u_id'] == $row['u_id']) ? 'selected' : '');
            
            	echo "<option value='". $row2['u_id'] ."' $selected>". $row2['u_login'] ."</option>";
            }
            ?>
            </select></div>
        </p>
    	<p><div class="ButtonForm">
      		<input type="button" value="<?php echo(GEN_Modify) ?>" onclick="SubmitForm(1);">
        	<input type="button" value="<?php echo(GEN_Return) ?>" onclick="SubmitForm(0);"></div>
        </p>
        <p><div id="TextError">&nbsp;</div></p>
    </form>
</div>
<?php
$db->close();
?>