<?php
session_start();
if(!isset($_SESSION['u_id']))
{
	//Mostrar sesion expirada
	header('location: ../../sesion_expired.php'); 
}

/* Archivo con las funciones php */
include_once("../functions.php");

/* Incluir clase idioma */
IncludeLang('../../inc');

/*Incluimos el fichero de la clase*/
require("../../inc/class.db.php");

/*Creamos la instancia del objeto. Ya estamos conectados*/
$db=Db::getInstance();

$group = $_POST['group_id'];

switch($_GET['action'])
{
	case 'delete': /* ELIMINAR ASIGNACIÓN */
		$user = $_POST['user_id'];
		
		// Eliminar.	
		$result = $db->ejecutar("DELETE FROM user_group 
								 WHERE (ug_user = '$user')
								 AND (ug_group = '$group')
								 AND (ug_level = 3)");
		
		$report = ((!$result) ? GROUPUSER_ErrDeletingAssign : "");
		echo $report;
	break;
	
	case 'add': /* CREAR ASIGNACIÓN */
		$login = $_POST['login'];
		
		// Obtener Id del usuario.
		$user = UserReturnIdFromLogin($db, $login);
		
		if ($user == 0){
			echo(GEN_UserNotFound);
		}else{
			// Comprobar que no esté creada la asignación.
			$result = $db->ejecutar("SELECT count(*) as existsusers 
									 FROM user_group 
									 WHERE (ug_user = '$user')
									 AND (ug_group = '$group')
									 AND (ug_level = 3)");
			$NumUsers = 0;
			if($result){
				$row = mysql_fetch_array($result, MYSQL_ASSOC);
				$NumUsers = $row['existsusers'];
			}
			
			if ($NumUsers > 0){
				echo(GROUPUSER_ErrAssignCreated);
			}else{		
				// Crear asignación.
				$result = mysql_query("INSERT INTO user_group (ug_user, ug_group, ug_level) VALUES ('$user','$group',3)");
				
				$report = ((!$result) ? GROUPUSER_ErrSavingAssign : "");
				echo $report;
			}
		}
	break;
}

$db->closeDbOnly();	
?>