<?php
session_start();

/* Archivo con las funciones php */
include_once("../functions.php");

/* Incluir clase idioma */
IncludeLang('../../inc');
	
/*Incluimos el fichero de la clase*/
require("../../inc/class.db.php");

/*Creamos la instancia del objeto. Ya estamos conectados*/
$db=Db::getInstance();

//Filtro por nombre
$filter = (isset($_GET['filter']) ? ' WHERE u.u_login LIKE "%'. $_GET['filter'] .'%"' : '');

/*Creamos query */
switch ($_SESSION['u_level']){
	case 1: // Administrador.
		$sql = "SELECT u.* 
				FROM users u
				$filter
				ORDER BY u.u_level, u.u_login";
	break;
	case 2: // Responsable grupo.
		$sql = "SELECT DISTINCT u.*, ug.ug_group 
				FROM users u, user_group ug				
				$filter
				AND (u.u_id = ug.ug_user)
				AND (ug.ug_group IN (select g.g_id 
                              		 from groups g, user_group ug 
                              		 where (g.g_id = ug.ug_group)
                              		 and (ug.ug_level = 2)
                              		 and (ug.ug_user = '".$_SESSION['u_id']."')))
				ORDER BY u.u_level, u.u_login";
	break;
}
	   
/*Ejecutamos la query*/
$result=$db->ejecutar($sql);

// cabecera.
echo "<tr id='TableUsers0' style='font-weight:bold'>
		<th width='20px'>&nbsp;</th>
		<th width='100px'>".USER_Login."</th>
        <th width='100px'>".USER_Name."</th>
		<th width='100px'>".USER_Surname."</th>
		<th width='230px'>".USER_Mail."</th>
		<th width='70px'>".USER_Level."</th>
      </tr>";

$i = 1;

while ($row = mysql_fetch_array($result, MYSQL_ASSOC)) {
	
	$iduser = $row['u_id'];
	$login = $row['u_login'];
	$nombre = $row['u_name'];
	$apellidos = $row['u_surname'];
	$mail = $row['u_mail'];
	
	switch ($row['u_level']){
		case 1:
			$rango = MAIN_Admin;
		break;
		case 2:
			$rango = MAIN_Manager;
		break;
		case 3:
			$rango = MAIN_User;
		break;
	}

	echo "<tr id='TableUsers'>
		<td width='20px'><input type='checkbox' name='checktable' value='". $iduser ."' id='checkbox".$i."' onclick='SelectCheckbox(id);'>&nbsp;</td>
      	<td width='100px'>". $login ."</td>
        <td width='100px'>". $nombre ."</td>
		<td width='100px'>". $apellidos ."</td>
		<td width='230px'>". $mail ."</td>
		<td width='70px'>". $rango ."</td>
      </tr>";
	 $i++;
}			  
			
$db->close();
?>