<?php
session_start();
if(!isset($_SESSION['u_id']))
{
	//Mostrar sesion expirada
	header('location: ../../sesion_expired.php'); 
}

/* Archivo con las funciones php */
include_once("../functions.php");

/* Incluir clase idioma */
IncludeLang('../../inc');

/*Incluimos el fichero de la clase*/
require("../../inc/class.db.php");

/*Creamos la instancia del objeto. Ya estamos conectados*/
$db=Db::getInstance();

$sql = "SELECT u.*
		FROM users u
		WHERE (u.u_id = " . $_GET['id'] .")";
$result=$db->ejecutar($sql);
$row = mysql_fetch_array($result, MYSQL_ASSOC);
?>

<script type="text/javascript" src="../../js/jquery-1.7.1.min.js"></script>
<script type="text/javascript" src="../../js/functions.js"></script>

<script>  
  function SubmitForm(vOption){
	  // Limpiar campo de errores.
	  jQuery('#TextError').html('&nbsp;');
	    
	  switch (vOption){
		  case 0:
			// Salir del formulario.
	  		document.getElementById("FormUserMod").submit(); 
		  break;
		  case 1:
		    // Control de errores.
			var vLogin = document.getElementById("login").value;			  
			if (vLogin == ''){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptyLogin) ?>");  
				  return false;
			}
			var vPassword = document.getElementById("pass").value;			  
			if (vPassword == ''){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptyPassword) ?>");  
				  return false;
			}
			var vName = document.getElementById("name").value;			  
			if (vName == ''){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptyName) ?>");  
				  return false;
			}
			var vSurname = document.getElementById("sur_name").value;			  
			if (vSurname == ''){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptySurname) ?>");  
				  return false;
			}
			var vMail = document.getElementById("mail").value;			  
			if (vMail == ''){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptyMail) ?>");  
				  return false;
			}
			var vLevel = document.getElementById("level").value;			  
			if (vLevel == 0){
				  jQuery('#TextError').html("<?php echo(USER_ErrEmptyLevel) ?>");  
				  return false;
			}
			var vPhone = document.getElementById("phone").value;
			
			var vId = document.getElementById("id").value;
	  
		  	// Guardar.
			jQuery.ajax({
				type: "POST", 
				url: "/scripts/users/user_edit.php?action=modify",
				data: 'id='+vId+'&login='+vLogin+'&pass='+vPassword+'&level='+vLevel+'&name='+vName+'&sur_name='+vSurname+'&mail='+vMail+'&phone='+vPhone, 
				success: function(a) {
							if (a == 'ok'){
								document.getElementById("FormUserMod").submit();
							}else{
								jQuery('#TextError').html(a);
							}
						  }
			});
		  break;
	  }	    
  }
</script>

<div id="UserMod">
	<form id="FormUserMod" name="FormUserMod" method="post"> <!-- action="/scripts/user_edit.php?action=modify"> -->
        <input type="hidden" name="id" id="id" value="<?php echo $row['u_id']; ?>">
        <p><div class="LabelForm"><?php echo(USER_Login) ?>*:&nbsp;</div>
           <div class="TextForm"><input type="text" id="login" name="login" disabled="disabled" value="<?php echo $row['u_login']; ?>"></div>
        </p>
           <p><div class="LabelForm"><?php echo(USER_Password) ?>*:&nbsp;</div>
           <div class="TextForm"><input id="pass" name="pass" type="text" value="<?php echo $row['u_password']; ?>"></div>
        </p>
        <p><div class="LabelForm"><?php echo(USER_Name) ?>*:&nbsp;</div>
           <div class="TextForm"><input id="name" name="name" type="text" value="<?php echo $row['u_name']; ?>"></div>
        </p>
        <p><div class="LabelForm"><?php echo(USER_Surname) ?>*:&nbsp;</div>
           <div class="TextForm"><input id="sur_name" name="sur_name" type="text" value="<?php echo $row['u_surname']; ?>"></div>
        </p>
        <p><div class="LabelForm"><?php echo(USER_Mail) ?>*:&nbsp;</div>
           <div class="TextForm"><input id="mail" name="mail" type="text" value="<?php echo $row['u_mail']; ?>"></div>
        </p>        
        <p><div class="LabelForm"><?php echo(USER_Phone) ?>:&nbsp;</div>
           <div class="TextForm"><input id="phone" name="phone" type="text" value="<?php echo $row['u_phone']; ?>"></div>
        </p>
        <p><div class="LabelForm"><?php echo(USER_Level) ?>*:&nbsp;</div>
           <div class="TextForm"><select id="level" name="level">
			<?php
				switch ($_SESSION['u_level']){
                    case 1: // Administrador.
						$selected = (($row['u_level'] == 1) ? 'selected' : '');
                		echo "<option value='1' $selected>". MAIN_Admin ."</option>";
						$selected = (($row['u_level'] == 2) ? 'selected' : '');
						echo "<option value='2' $selected>". MAIN_Manager ."</option>";
						$selected = (($row['u_level'] == 3) ? 'selected' : '');
						echo "<option value='3' $selected>". MAIN_User ."</option>";
					 break;
					 case 2: // Responsable grupo.
					 	echo "<option value='3' selected>". MAIN_User ."</option>";
					 break;
				}
            ?>
            </select></div>
        <p>
        <p><div class="ButtonForm">
      		<input type="button" value="<?php echo(GEN_Modify) ?>" onclick="SubmitForm(1);">
        	<input type="button" value="<?php echo(GEN_Return) ?>" onclick="SubmitForm(0);"></div>
        </p>
        <p><div id="TextError">&nbsp;</div></p>
	</form>
</div>

<?php
$db->close();
?>